Ext.define("Football.model.PlayerProfile",{extend:"Ext.data.Model",config:{fields:[{name:"title",type:"string"},{name:"title_plain",type:"string"},{name:"content",type:"string"},{name:"date",type:"string"},{name:"position",type:"string",mapping:"metadata.position"},{name:"number",type:"int",mapping:"metadata.number"},{name:"thumbnail_image",type:"string",mapping:"attachments[0].images.app_player_internal_image.url"},{name:"main_image",type:"string",mapping:"attachments[0].images.medium.url"}]}});Ext.define("Football.model.TwitterItem",{extend:"Ext.data.Model",config:{fields:[{name:"id",type:"string"},{name:"time",type:"string"},{name:"user",type:"string"},{name:"text",type:"string"},]}});Ext.define("Football.model.Match",{extend:"Ext.data.Model",config:{idProperty:"match_id",fields:[{name:"match_id",type:"int"},{name:"date",type:"string",mapping:"info.Date"},{name:"date_ts",type:"string",mapping:"date_ts"},{name:"timezone",type:"string",mapping:"info.TZ"},{name:"match_day",type:"int",mapping:"info.attributes.MatchDay"},{name:"period",type:"string",mapping:"info.attributes.Period"},{name:"city",type:"string",mapping:"venue.city"},{name:"stadium",type:"string",mapping:"venue.stadium"},{name:"hometeam",type:"string",mapping:'teams["Home"].info.Name'},{name:"homescore",type:"int",mapping:'teams["Home"].score'},{name:"awayteam",type:"string",mapping:'teams["Away"].info.Name'},{name:"awayscore",type:"int",mapping:'teams["Away"].score'},]}});Ext.define("Football.model.YoutubeVideo",{extend:"Ext.data.Model",config:{fields:[{name:"id",type:"string",mapping:"video.id"},{name:"title",type:"string",mapping:"video.title"},{name:"preview_image",type:"string",mapping:"video.thumbnail.hqDefault"},{name:"thumbnail_image",type:"string",mapping:"video.thumbnail.sqDefault"},{name:"player_mobile",type:"string",mapping:"video.player.mobile"},{name:"source_3gp",type:"string",mapping:"video.content[1]"}]}});Ext.define("Football.model.RockyRoadVideo",{extend:"Ext.data.Model",config:{fields:[{name:"id",type:"string",mapping:"id"},{name:"title",type:"string",mapping:"title"},{name:"description",type:"string",mapping:"description"},{name:"preview_image",type:"string",mapping:"thumbnail.hqDefault"},{name:"thumbnail_image",type:"string",mapping:"thumbnail.sqDefault"},{name:"player_mobile",type:"string",mapping:"player.mobile"},{name:"source_3gp",type:"string",mapping:"content[1]"}]}});Ext.define("Football.model.Group",{extend:"Ext.data.Model",config:{fields:[{name:"name",type:"string"}],hasMany:{model:"Football.model.Team",name:"teams"}}});Ext.define("Football.model.Team",{extend:"Ext.data.Model",config:{fields:[{name:"id",type:"string"},{name:"team_info",type:"string"},{name:"country",type:"string",mapping:"team_info.Country"},{name:"name",type:"string",mapping:"team_info.Name"},{name:"against",type:"int",mapping:"competition_data.Against"},{name:"away_against",type:"int",mapping:"competition_data.AwayAgainst"},{name:"away_drawn",type:"int",mapping:"competition_data.AwayDrawn"},{name:"away_for",type:"int",mapping:"competition_data.AwayFor"},{name:"away_lost",type:"int",mapping:"competition_data.AwayLost"},{name:"away_played",type:"int",mapping:"competition_data.AwayPlayed"},{name:"away_points",type:"int",mapping:"competition_data.AwayPoints"},{name:"away_won",type:"int",mapping:"competition_data.AwayWon"},{name:"drawn",type:"int",mapping:"competition_data.Drawn"},{name:"for",type:"int",mapping:"competition_data.For"},{name:"home_against",type:"int",mapping:"competition_data.HomeAgainst"},{name:"home_drawn",type:"int",mapping:"competition_data.HomeDrawn"},{name:"home_for",type:"int",mapping:"competition_data.HomeFor"},{name:"home_lost",type:"int",mapping:"competition_data.HomeLost"},{name:"home_played",type:"int",mapping:"competition_data.HomePlayed"},{name:"home_points",type:"int",mapping:"competition_data.HomePoints"},{name:"home_won",type:"int",mapping:"competition_data.HomeWon"},{name:"lost",type:"int",mapping:"competition_data.Lost"},{name:"played",type:"int",mapping:"competition_data.Played"},{name:"points",type:"int",mapping:"competition_data.Points"},{name:"position",type:"int",mapping:"competition_data.Position"},{name:"start_day_position",type:"string",mapping:"competition_data.StartDayPosition"},{name:"won",type:"int",mapping:"competition_data.Won"},{name:"type",type:"string",mapping:"competition_data.attributes.Type"},],}});Ext.define("Football.model.SupportForm",{extend:"Ext.data.Model",config:{fields:[{name:"name",type:"string"},{name:"email",type:"string"},{name:"content",type:"string"}],validations:[{field:"name",type:"presence",message:"Name is required"},{field:"email",type:"presence",message:"Email address is required"},{field:"content",type:"presence",message:"Message is required"}]}});Ext.define("Football.model.ClubOffer",{extend:"Ext.data.Model",config:{fields:[{name:"title",type:"string"},{name:"fname",type:"string"},{name:"sname",type:"string"},{name:"email",type:"string"},{name:"phone",type:"string"},{name:"region",type:"string"},{name:"club",type:"string"}],validations:[{field:"title",type:"presence",message:"Title is required"},{field:"fname",type:"presence",message:"First name is required"},{field:"sname",type:"presence",message:"Surname is required"},{field:"email",type:"presence",message:"Email address is required"},{field:"phone",type:"presence",message:"Phone number is required"},{field:"region",type:"presence",message:"Region is required"},{field:"club",type:"presence",message:"Club name is required"}]}});Ext.define("Football.model.CommentaryItem",{extend:"Ext.data.Model",config:{fields:[{name:"id",type:"string",mapping:"id"},{name:"comment",type:"string",mapping:"comment"},{name:"last_modified",type:"string",mapping:"last_modified"},{name:"time",type:"string",mapping:"time"},{name:"type",type:"string",mapping:"type"}]}});Ext.define("Football.model.GalleryList",{extend:"Ext.data.Model",config:{fields:[{name:"id",type:"string"},{name:"title",type:"string"},{name:"description",type:"string"},{name:"type",type:"string"}]}});Ext.define("Football.model.GalleryImage",{extend:"Ext.data.Model",config:{fields:[{name:"title",type:"string"},{name:"description",type:"string"},{name:"image",type:"string"},{name:"largeimage",type:"string",mapping:"image_sizes.app_image"},{name:"gallery_id",type:"string"},{name:"timestamp",type:"string"},{name:"rating",type:"string"}]}});Ext.define("Football.model.LiveMatchInfo",{extend:"Ext.data.Model",config:{idProperty:"game_id",fields:[{name:"game_id",type:"int"},{name:"away_score",type:"int"},{name:"away_team_name",type:"string"},{name:"game_date",type:"string"},{name:"home_score",type:"int"},{name:"home_team_name",type:"string"}]}});Ext.define("Football.model.AdBanner",{extend:"Ext.data.Model",config:{fields:[{name:"url",type:"string"},{name:"image",type:"string"}]}});Ext.define("Football.model.ContentItem",{extend:"Ext.data.Model",config:{fields:[{name:"url",type:"string"},{name:"text",type:"string"},{name:"image",type:"string"}]}});Ext.define("Football.view.Main",{extend:"Ext.tab.Panel",xtype:"mainpanel",config:{tabBarPosition:"bottom",items:[{xtype:"homepanel",id:"homepanel"},{xtype:"statspanel",id:"statspanel"},{xtype:"supporterspanel",id:"supporterspanel"}]}});Ext.define("Football.view.Home",{extend:"Ext.Container",xtype:"homepanel",config:{title:"Home",iconCls:"home",layout:"card",fullscreen:true,items:[{xtype:"homelandingpanel",id:"homelandingpanel"},{xtype:"newsitemdetailpanel",id:"newsitemdetailpanel"}]}});Ext.define("Football.view.HomeLanding",{extend:"Ext.Panel",xtype:"homelandingpanel",config:{fullscreen:true,layout:"vbox",items:[{docked:"top",xtype:"toolbar",cls:"generic-toolbar"},{xtype:"featurednewspanel",height:"120px",},{xtype:"newsitemlistpanel",flex:6},{xtype:"adbannerpanel"}]}});Ext.define("Football.view.NewsItemDetail",{extend:"Ext.Panel",xtype:"newsitemdetailpanel",config:{fullscreen:true,scrollable:"vertical",tpl:'<div class="news_detail"><h2>{title}</h2><article>{content}</article></div>',cls:"latest_news",items:[{xtype:"toolbar",docked:"top",cls:"generic-toolbar",items:[{text:"Back",ui:"back",gohome:"homelandingpanel"}]}]}});Ext.define("Football.view.Stats",{extend:"Ext.tab.Panel",xtype:"statspanel",config:{fullscreen:true,title:"The Match",iconCls:"action",scrollable:true,items:[{id:"stats-toolbar",docked:"top",xtype:"toolbar",cls:"generic-toolbar",items:[{xtype:"button",text:"Back",ui:"back",id:"statsbackbutton",hidden:true}]},{xtype:"resultspanel",},{xtype:"livematchpanel"},{xtype:"squadpanel"}]}});Ext.define("Football.view.Squad",{extend:"Ext.Container",xtype:"squadpanel",scrollable:true,config:{title:"Squad",layout:"card",fullscreen:true,items:[{xtype:"squadlistpanel"}],listeners:{painted:function(){FlurryAgent.logEvent("Stats",{panel:"Squad"})},deactivate:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.hide()}}}});Ext.define("Football.view.PlayerProfile",{extend:"Ext.Panel",xtype:"playerprofilepanel",config:{fullscreen:true,scrollable:"vertical",tpl:Ext.create("Ext.XTemplate",'<div class="wrapper_profile"><div class="profile"><img src="{thumbnail_image}" width="80" height="120" /></div><div class="player_profile"><h2>{title}</h2><p>{content}</p></div></div>'),listeners:{painted:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.go={container:"squadpanel",panel:"squadlistpanel"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.hide()}}}});Ext.define("Football.view.Live",{extend:"Ext.Container",xtype:"livematchpanel",scrollable:true,config:{title:"Live",layout:"card",fullscreen:true,items:[{xtype:"livematchlistpanel"}],listeners:{painted:function(){FlurryAgent.logEvent("Stats",{panel:"Live"})},deactivate:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.hide()}}}});Ext.define("Football.view.LiveCommentary",{extend:"Ext.Panel",xtype:"commentarypanel",config:{layout:"vbox",items:[{xtype:"livematchinfopanel",flex:4},{xtype:"livematchstreampanel",flex:12}],listeners:{painted:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.go={container:"livematchpanel",panel:"livematchlistpanel"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.hide()}}}});Ext.define("Football.view.LiveMatchStream",{extend:"Ext.DataView",xtype:"livematchstreampanel",scrollable:true,config:{cls:"livecomments",xtype:"list",plugins:[{xclass:"Ext.plugin.PullRefresh",refreshFn:function(b){var d=b.up().getParent().getData();var c=Ext.getStore("LiveMatches");var a=c.getAt(d);b.up().getStore().load({params:{game_id:a.data.match_id}});livematchinfopanel=Ext.ComponentQuery.query("livematchinfopanel")[0];livematchinfopanel.getStore().load({params:{game_id:a.data.match_id},callback:function(){if(this.getData().items.length==0){match_info_obj={away_score:a.data.awayscore,away_team_name:a.data.awayteam,game_date:a.data.date,game_id:a.data.match_id,home_score:a.data.homescore,home_team_name:a.data.hometeam};this.setData(match_info_obj)}}})}}],emptyText:'<div class="refresh"><img src="resources/icons/refresh.png"></div>',itemTpl:'<ul class="comment_container"><li class="time_live">{time}</li><li class="comment_live">{comment}</li></ul>',store:"Commentary",listeners:{painted:{single:true,fn:function(){var c=this.getParent().getData();var b=Ext.getStore("LiveMatches");var a=b.getAt(c);this.getStore().load({params:{game_id:a.data.match_id}})}}}}});Ext.define("Football.view.Results",{extend:"Ext.Container",xtype:"resultspanel",config:{title:"Groups",layout:"card",fullscreen:true,items:[{xtype:"resultspanellist"}],listeners:{painted:function(){FlurryAgent.logEvent("Stats",{panel:"Groups"})},deactivate:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.hide()}}}});Ext.define("Football.view.FixturesResults",{extend:"Ext.Panel",xtype:"fixturesresultspanel",config:{fullscreen:true,layout:"card",items:[{xtype:"fixturesresultslistpanel",}],listeners:{painted:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.go={container:"resultspanel",panel:"resultspanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.hide()}}}});Ext.define("Football.view.Supporters",{extend:"Ext.tab.Panel",xtype:"supporterspanel",config:{title:"Fanzone",cls:"supporters_message",iconCls:"team",layout:"card",items:[{docked:"top",xtype:"toolbar",cls:"generic-toolbar",id:"supporters-toolbar",items:[{xtype:"button",text:"Back",ui:"back",id:"supportersbackbutton",hidden:true}]},{xtype:"supporterslandingpanel"},{xtype:"funstufflandingpanel"},{xtype:"clubofferpanel"}]}});Ext.define("Football.view.InsiderBlog",{extend:"Ext.List",xtype:"insiderblogpanellist",config:{xtype:"list",styleHtmlContent:"false",itemTpl:Ext.create("Ext.XTemplate",'<div class="wrapper_news"><div class="image_news" style="background-image: url(\'{thumbnail:this.getThumb}\');">3</div><div class="content_news"><h2>{title:this.truncateTitle}</h2><p>{excerpt:this.truncateExcerpt}</p></div></div>',{getThumb:function(a){if(typeof a=="undefined"||a===null){return"http://www.three.ie/imgs/3logo.png"}else{return a}},truncateTitle:function(a){if(a.length<27){return a}else{return a.substring(0,27)+"..."}},truncateExcerpt:function(a){if(a.length<80){return a}else{return a.substring(0,80)+"..."}}}),store:"InsiderBlog",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}},painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"supporterslandingpanel",panel:"supporterspanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.InsiderBlogDetail",{extend:"Ext.Panel",xtype:"insiderblogdetailpanel",config:{fullscreen:true,scrollable:"vertical",tpl:'<div class="news_detail"><h2>{title}</h2><article>{content}</article></div>',cls:"latest_news",listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"supporterslandingpanel",panel:"insiderblogpanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.SupporterOffer",{extend:"Ext.Panel",xtype:"supporterofferpanel",config:{title:"Supporter Offers",cls:"threeback",scrollable:true,items:[{xtype:"supporterscontentpanel"}],listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"supporterslandingpanel",panel:"supporterspanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.Videos",{extend:"Ext.DataView",requires:["Ext.Video"],xtype:"videospanel",config:{store:"RockyRoad",cls:"rockyback",title:"Videos",fullscreen:true,scrollable:true,itemTpl:Ext.create("Ext.XTemplate",'<div class="rockyroad"><tpl if="this.isAndroid()"><div style="background: url(\'{preview_image}\') no-repeat;" class="rockyimage"></div></tpl><tpl if="!this.isAndroid()"><iframe type="text/html" width="100%" height="30%" src="http://www.youtube.com/embed/{id}?controls=0&showinfo=0" frameborder="0"></iframe></tpl><h2>Rocky Road to Poland</h2><p>The choon for the merry month of June. It&#39;s the one we&#39;ve all been waiting for. Check out the video here and then download the single from iTunes or pick up a copy of the single in your local 3Store. All proceeds earned go to the Irish Cancer Society and the John Giles Foundation</p></div>',{isAndroid:function(){return Ext.os.is.Android}}),items:[{xtype:"toolbar",cls:"button_rocky",docked:"bottom",items:[{xtype:"button",html:'<a href="http://www.3football.ie/rocky-road" target="_blank" rel="external">Get the song here</a>',ui:"confirm",cls:"rockyroadbutton",}],}],listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"funstufflandingpanel",panel:"funstuffpanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.IosVideoPlayer",{extend:"Ext.Panel",xtype:"iosvideoplayerpanel",config:{fullscreen:true,scrollable:false,style:"background-color: #fff;",tpl:'<h2>{title}</h2><iframe type="text/html" width="100%" height="30%" src="http://www.youtube.com/embed/{id}?controls=0&showinfo=0" frameborder="0"></iframe>',cls:"videoplayer",listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"funstufflandingpanel",panel:"behindthescenespanel"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.AndroidVideoPlayer",{extend:"Ext.Container",xtype:"androidvideoplayerpanel",requires:["Ext.Video"],config:{layout:"fit",items:[{xtype:"video",url:["http://www.mattfinucane.com/videos/test2.mp4","http://www.mattfinucane.com/videos/test.webm","http://www.mattfinucane.com/videos/test.ogv"],posterUrl:"http://dev.sencha.com/deploy/touch/examples/production/video/resources/images/cover.jpg",}]}});var supporters_form=Ext.define("Football.view.SupportForm",{extend:"Ext.form.Panel",requires:["Ext.form.FieldSet","Ext.field.Email","Ext.field.Number","Football.model.SupportForm"],xtype:"sendsupportform",scrollable:true,config:{title:"Support",cls:"support_message",items:[{xtype:"panel",html:'<div class="club_content"><h2>Show your support to the Boys in Green by adding a message.</h2></div>'},{xtype:"fieldset",cls:"form_content",items:[{xtype:"textfield",name:"name",label:"Name"},{xtype:"emailfield",name:"email",label:"Email"},{xtype:"textareafield",name:"content",label:"Message",cls:"messagebox",}]},{xtype:"button",text:"Send",ui:"confirm",cls:"submit_button",handler:function(){var b=this.up("sendsupportform");var a=Ext.create("Football.model.SupportForm",{name:b.getValues().name,email:b.getValues().email,content:b.getValues().content});form_validation=a.validate();error_message="";if(!form_validation.isValid()){form_validation.each(function(c){error_message+=c.getMessage()+"<br />"});Ext.Msg.alert("Error",error_message)}else{this.up("sendsupportform").submit({url:"http://app.3football.ie/forms/send-support.php?name="+encodeURI(a.data.name)+"&email="+encodeURI(a.data.email)+"&message="+encodeURI(a.data.content),method:"POST",success:function(d,c){Ext.Msg.alert("Thanks","Message sent.");Ext.ComponentQuery.query("supporterslandingpanel")[0].animateActiveItem({xtype:"sendsupportlandingpanel"},{type:"slide",direction:"right"})},failure:function(d,c){Ext.Msg.alert("Thanks","Message sent.");Ext.ComponentQuery.query("supporterslandingpanel")[0].animateActiveItem({xtype:"sendsupportlandingpanel"},{type:"slide",direction:"right"})}})}}}],listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"supporterslandingpanel",panel:"sendsupportlandingpanel"};setTimeout(function(){button.show()},500);FlurryAgent.logEvent("Supporters",{panel:"Support form"})},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});var cluboffer_form=Ext.define("Football.view.ClubOffer",{extend:"Ext.form.Panel",requires:["Ext.form.FieldSet","Ext.field.Email","Ext.field.Number","Football.model.ClubOffer"],xtype:"clubofferpanel",scrollable:true,config:{title:"Club Offer",cls:"cluboffers",items:[{xtype:"panel",html:'<div class="club_content"><h2>Switch to Three & start earning money for your club</h2><p>To find out how much your club could earn when your members and supporters switch, fill in the form below and one of our team members will contact you shortly.</p></div>'},{xtype:"fieldset",cls:"form_content",items:[{xtype:"selectfield",name:"title",label:"Title",labelWidth:"40%",options:[{text:"Mr",value:"mr"},{text:"Mrs",value:"mrs"},{text:"Miss",value:"miss"},{text:"Ms",value:"ms"}]},{xtype:"textfield",name:"fname",label:"First Name",labelWidth:"40%"},{xtype:"textfield",name:"sname",label:"Last Name",labelWidth:"40%"},{xtype:"emailfield",name:"email",label:"Email",labelWidth:"40%"},{xtype:"textfield",name:"phone",label:"Mobile No.",labelWidth:"40%"},{xtype:"selectfield",name:"region",label:"Region",labelWidth:"40%",height:"10%",options:[{text:"Connacht",value:"connacht"},{text:"Leinster",value:"leinster"},{text:"Munster",value:"munster"},{text:"Ulster",value:"ulster"}]},{xtype:"textfield",name:"club",label:"Club",labelWidth:"40%"}]},{xtype:"button",text:"Send",ui:"confirm",cls:"submit_button",handler:function(){var a=this.up("clubofferpanel");var b=Ext.create("Football.model.ClubOffer",{title:a.getValues().title,fname:a.getValues().fname,sname:a.getValues().sname,email:a.getValues().email,phone:a.getValues().phone,region:a.getValues().region,club:a.getValues().club});form_validation=b.validate();error_message="";if(!form_validation.isValid()){form_validation.each(function(c){error_message+=c.getMessage()+"<br />"});Ext.Msg.alert("Error",error_message)}else{this.up("clubofferpanel").submit({url:"http://app.3football.ie/forms/club-offer.php?title="+encodeURI(b.data.title)+"&firstname="+encodeURI(b.data.fname)+"&lastname="+encodeURI(b.data.sname)+"&email="+encodeURI(b.data.email)+"&mobile="+encodeURI(b.data.phone)+"&region="+encodeURI(b.data.region)+"&club="+encodeURI(b.data.club),method:"POST",success:function(d,c){Ext.Msg.alert("Thanks","Message sent.")},failure:function(d,c){Ext.Msg.alert("Thanks","Message sent.")}})}}}],listeners:{painted:function(){FlurryAgent.logEvent("Fanzone",{panel:"Club ovver"})}}}});Ext.define("Football.view.FanImage",{extend:"Ext.Container",xtype:"fanimagepanel",config:{cls:"galleryimage",fullscreen:true,scrollable:true,tpl:new Ext.XTemplate('<img src="{largeimage}" /><h3>{title:this.clean}</h3>',{clean:function(a){return a.replace(/\\/g,"")}}),listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"supporterslandingpanel",panel:"fanofthematchpanel"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.LookALikeImage",{extend:"Ext.Container",xtype:"lookalikeimagepanel",config:{cls:"galleryimage",fullscreen:true,scrollable:true,tpl:new Ext.XTemplate('<img src="{largeimage}" /><h3>{title:this.clean}</h3>',{clean:function(a){return a.replace(/\\/g,"")}}),listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"funstufflandingpanel",panel:"lookalikespanel"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.Facebook",{extend:"Ext.List",xtype:"facebookpanellist",config:{xtype:"list",styleHtmlContent:"false",items:[{xtype:"container",html:'<div id="fb-login-button"><fb:like align="right" href="http://www.facebook.com/3football" layout="button_count"></fb:like></div><div id="fb-root">Click here to follow us on Facebook.</div>',}],itemTpl:Ext.create("Ext.XTemplate",'<div class="wrapper_facebook"><div class="content_facebook"><h2>{title:this.truncateTitle}</h2><p>{content}</p></div></div>',{getThumb:function(a){if(typeof a=="undefined"||a===null){return"http://www.three.ie/imgs/3logo.png"}else{return a}},truncateTitle:function(a){if(a.length<30){return a}else{return a.substring(0,30)+"..."}},truncateExcerpt:function(a){if(a.length<80){return a}else{return a.substring(0,80)+"..."}}}),store:"Facebook",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}},painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"funstufflandingpanel",panel:"funstuffpanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()},show:function(){window.fbAsyncInit=function(){FB.init({appId:"200011040129201",status:true,cookie:true,xfbml:true});console.log("FB async init")};(function(){var a=document.createElement("script");a.type="text/javascript";a.src="http://connect.facebook.net/en_US/all.js";a.async=true;document.getElementById("fb-root").appendChild(a)}())}}}});Ext.define("Football.controller.Main",{extend:"Ext.app.Controller",config:{routes:{"go/:main":"goMain","news/:id":"showNewsStory","featurednews/:id":"showFeaturedNewsStory","funstuff/:id":"showFunStuffRoute"},refs:{main:"mainpanel",home:"homepanel",stats:"statspanel",live:"livematchpanel",livematchlist:"livematchlistpanel",livematchinfo:{selector:"livematchinfopanel",xtype:"livematchinfopanel",autoCreate:true},livematchstream:"livematchstreampanel",homelandingpanel:"homelandingpanel",results:"resultspanel",supporters:"supporterspanel",supporterslanding:"supporterslandingpanel",squad:"squadpanel",funstuff:"funstufflandingpanel",lookalikes:"lookalikespanel",fanofthematch:"fanofthematchpanel",behindthescenes:"behindthescenespanel",insiderblog:"insiderblogpanellist",newspanel:"newsitemlistpanel",funstuffpanel:"funstuffpanellist"},control:{adbannerpanel:{itemtap:"openExternalLink"},supporterscontentpanel:{itemtap:"openExternalLink"},mainpanel:{activeitemchange:"onMainActiveItemChange"},newsitemlistpanel:{itemtap:"showNewsItemDetail"},featurednewspanel:{itemtap:"showFeaturedNewsItemDetail"},funstuffpanellist:{itemtap:"showFunStuff"},resultspanellist:{itemtap:"showResultsView"},supporterspanellist:{itemtap:"showSupportersView"},squadlistpanel:{itemtap:"showPlayerProfile"},behindthescenespanel:{itemtap:"showVideoPlayer"},insiderblogpanellist:{itemtap:"showInsiderBlogDetail"},videospanel:{itemtap:"showRockyRoad"},livematchlistpanel:{itemtap:"showLiveCommentary"},fanofthematchpanel:{itemtap:"showFanImage"},lookalikespanel:{itemtap:"showLookalike"},"button[href]":{tap:function(a){window.location=a.config.href}},"button[gohome]":{tap:function(a){this.redirectTo("go/homepanel")}},"button[go]":{tap:function(a){a.hide();var b=(typeof(a.go.direction)!="undefined"?a.go.direction:"right");switch(a.go.container){case"resultspanel":this.getResults().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"squadpanel":this.getSquad().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"supporterslandingpanel":this.getSupporterslanding().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"funstufflandingpanel":this.getFunstuff().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"sendsupportlandingpanel":this.getSupporterslanding().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"livematchpanel":this.getLive().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"lookalikespanel":this.getLookalikes().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"fanofthematchpanel":this.getFanofthematch().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"lookalikesgallerycontainerpanel":this.getLookalikesgallerycontainer().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;case"fanofthematchgallerycontainerpanel":this.getFanofthematchgallerycontainer().animateActiveItem({xtype:a.go.panel},{type:"slide",direction:b});break;default:break}FlurryAgent.logEvent("Back button",{Container:a.go.container,panel:a.go.panel})}}}},openExternalLink:function(c,b){var a=c.getStore().getAt(b);window.open(a.data.url)},onMainActiveItemChange:function(a,b,c){switch(b.config.xtype){case"homepanel":this.getHome().setActiveItem({xtype:"homelandingpanel"});break;case"statspanel":this.getResults().setActiveItem(0);this.getStats().setActiveItem(0);break;case"supporterspanel":this.getSupporterslanding().setActiveItem(0);this.getSupporters().setActiveItem(0);break}this.getApplication().getHistory().add(Ext.create("Ext.app.Action",{url:"go/"+b.config.xtype}),true);FlurryAgent.logEvent("Navigating - main section",{section:b.config.xtype})},goMain:function(a){switch(a){case"homepanel":this.getMain().getComponent("statspanel").hide();this.getMain().getComponent("supporterspanel").hide();Ext.ComponentQuery.query("featurednewspanel")[0].show();this.getHome().setActiveItem(this.getHomelandingpanel());this.getMain().animateActiveItem(this.getHome(),{type:"slide",direction:"left"});break;case"statspanel":this.getMain().getComponent("homepanel").hide();this.getMain().getComponent("supporterspanel").hide();this.getMain().animateActiveItem(this.getMain().getComponent("statspanel"),{type:"slide",direction:"left"});break;case"supporterspanel":this.getMain().getComponent("homepanel").hide();this.getMain().getComponent("statspanel").hide();this.getMain().animateActiveItem(this.getMain().getComponent("supporterspanel"),{type:"slide",direction:"left"});break}},showRockyRoad:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Rocky Road");if(Ext.os.is.Android){window.open(a.data.source_3gp)}},showVideoPlayer:function(d,b){var a=d.getStore().getAt(b);FlurryAgent.logEvent("Video",{title:a.data.title});var c;if(Ext.os.is.Android){window.open(a.data.source_3gp)}else{c="iosvideoplayerpanel"}this.getFunstuff().animateActiveItem({xtype:c,data:a.data},{type:"slide",direction:"left"})},showSupportersView:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Supporters",{panel:a.data.xtype});this.getSupporterslanding().animateActiveItem({xtype:a.data.xtype},{type:"slide",direction:"left"});this.getApplication().getHistory().add(Ext.create("Ext.app.Action",{url:"go/supporterspanel"}),true)},showPlayerProfile:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Player profile",{Player:a.data.title});this.getSquad().animateActiveItem({xtype:"playerprofilepanel",data:a.data},{type:"slide",direction:"left"})},showResultsView:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Stats and results",{panel:a.data.xtype});this.getResults().animateActiveItem({xtype:a.data.xtype,},{type:"slide",direction:"left"})},showFunStuffRoute:function(d){var a=this.getFunstuffpanel();var c=a.getStore();var b=c.getAt(d);this.getFunstuff().animateActiveItem({xtype:b.data.xtype,},{type:"slide",direction:"left"})},showFunStuff:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Fun Stuff",{panel:a.data.xtype});if(a.data.xtype==="facebookpanellist"){window.open("http://www.facebook.com/3football")}else{this.getFunstuff().animateActiveItem({xtype:a.data.xtype},{type:"slide",direction:"left"})}},showNewsItemDetail:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("News",{Title:a.data.title});this.redirectTo("news/"+b)},showNewsStory:function(d){this.getMain().getComponent("statspanel").hide();this.getMain().getComponent("supporterspanel").hide();Ext.ComponentQuery.query("featurednewspanel")[0].show();this.getHome().setActiveItem(this.getHomelandingpanel());this.getMain().setActiveItem(this.getHome());var c=this.getNewspanel();var b=c.getStore();var a=b.getAt(d);this.getHome().animateActiveItem({xtype:"newsitemdetailpanel",data:a.data},{type:"slide",direction:"left"})},showFeaturedNewsItemDetail:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("News",{Title:a.data.title});this.redirectTo("featurednews/"+b)},showFeaturedNewsStory:function(d){var a=Ext.ComponentQuery.query("featurednewspanel")[0];this.getMain().getComponent("statspanel").hide();this.getMain().getComponent("supporterspanel").hide();a.hide();this.getHome().setActiveItem(this.getHomelandingpanel());this.getMain().setActiveItem(this.getHome());var c=a.getStore();var b=c.getAt(d);this.getHome().animateActiveItem({xtype:"newsitemdetailpanel",data:b.data},{type:"slide",direction:"left"})},showLiveCommentary:function(b,a){this.getLive().setActiveItem({xtype:"commentarypanel",data:a})},showInsiderBlogDetail:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Insider blog",{title:a.data.title});this.getSupporterslanding().animateActiveItem({xtype:"insiderblogdetailpanel",data:a.data},{type:"slide",direction:"left"})},showFanImage:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Fan of the match image",{Title:a.data.title});this.getSupporterslanding().animateActiveItem({xtype:"fanimagepanel",data:a.data},{type:"slide",direction:"left"})},showLookalike:function(c,b){var a=c.getStore().getAt(b);FlurryAgent.logEvent("Lookalike image",{Title:a.data.title});this.getFunstuff().animateActiveItem({xtype:"lookalikeimagepanel",data:a.data},{type:"slide",direction:"left"})},showPost:function(d,b,c,a){this.getBlog().push({xtype:"panel",title:a.get("title"),html:a.get("content"),scrollable:true,styleHtmlContent:true})}});Ext.define("Football.store.SupportersPanels",{extend:"Ext.data.Store",config:{fields:["thumbnail","title","description","xtype"],data:[{thumbnail:"resources/icons/sendsupport.png",title:"Send your Support",description:"Send your support to the team!",xtype:"sendsupportlandingpanel"},{thumbnail:"resources/icons/three-football-blog.png",title:"Three Football Blog",description:"Check out the Three Football Blog for all the latest news and updates",xtype:"insiderblogpanellist"},{thumbnail:"resources/icons/supporters_offer.png",title:"Supporter Offers",description:"For all the latest Ireland supporter offers",xtype:"supporterofferpanel"}]}});Ext.define("Football.store.StatsResultsPanels",{extend:"Ext.data.Store",config:{fields:["thumbnail","title","description","xtype"],data:[{thumbnail:"resources/icons/groups.png",title:"Tables",description:"Find out how Ireland are doing in their group",xtype:"grouppanel"},{thumbnail:"resources/icons/fixtures.png",title:"Fixtures & Results",description:"Up to date results and fixtures from the tournament games",xtype:"fixturesresultspanel"}]}});Ext.define("Football.store.FunStuffPanels",{extend:"Ext.data.Store",config:{fields:["thumbnail","title","description","xtype"],data:[{thumbnail:"resources/icons/videos.png",title:"Videos",description:"Check out our exclusive videos",xtype:"behindthescenespanel"},{thumbnail:"resources/icons/facebook.png",title:"Facebook",description:"Check out 3Football on Facebook for loads of banter, trivia & competitions",xtype:"facebookpanellist"}]}});Ext.define("Football.store.FunStuffTwitter",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.TwitterItem",proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/tibus/support-engine.php",reader:{type:"json",rootProperty:"entries"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download tweets, please try again later...",Ext.emptyFn)}}}}});Ext.define("Football.store.MediaPanels",{extend:"Ext.data.Store",config:{fields:["title","xtype"],data:[{title:"Video",xtype:"videospanel"},{title:"Gallery",xtype:"gallerypanel"},{title:"Lookalikes",xtype:"lookalikespanel"}]}});Ext.define("Football.store.FeaturedNews",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.NewsItem",proxy:{type:"jsonpcache",cacheKey:"latestnews",cacheTimeout:1200,url:"http://app.3football.ie/json/get_tag_posts/?slug=sticky&post_type=news_item",reader:{type:"json",rootProperty:"posts"}}}});Ext.define("Football.store.SquadCached",{extend:"Ext.data.Store",config:{model:"Football.model.PlayerProfile",data:[{id:237,type:"player_profile",slug:"shay-given",url:"http://app.3football.ie/player_profile/shay-given/",status:"publish",title:"Shay Given",title_plain:"Shay Given",content:'<div class="player_profile">\n<p>\nPosition: Goalkeeper <br />\nClub: Aston Villa <br />\nDate of Birth: 20/04/1976 <br />\nFirst Cap: v Russia 27/03/96 <br />\nMost Recent: v Czech Republic 29/02/12 <br />\nTotal Senior: 121 <br />\nGoals: 0 \n</p>\n<p><h2>Career Summary</h2>\n<p>\nShay Given has never played better in a long and distinguished career with Ireland than he did in helping to keep Russia scoreless in the qualifying match of EURO 2012 in Moscow in September, 2011.\\n<br />\nShay is the most capped player in Irish history and a regular team captain when Robbie Keane is not available.On Wednesday, October 14, 2009, against Montenegro at Croke Park he reached a significant landmark by playing in his 100th senior international for Ireland.Shay began his career at Celtic before moving to Blackburn Rovers in 1994. However he found it hard to displace Tim Flowers there and as a result he had two loan spells with Swindon and Sunderland before moving to Newcastle United in July 1997.Shay, who won his first Senior cap against Russia in March &#8217;96, was a consistently outstanding player for Newcastle throughout his time there. He remained typically loyal to Newcastle until the club was relegated from the Premier Division in the 2008/&#8217;09 season and Manchester City stepped in with an offer he could not refuse.Injury meant he lost his place in the team and when forced to spend most of the 2010/&#8217;11 season as substitute he left in the Summer of 2011 in search of regular football. Shay signed a five year contract on July 19, 2011 with Aston Villa.He became Ireland&#8217;s most capped goalkeeper while at Newcastle, ahead of Packie Bonner, and he has continued to maintain his impressive form for Ireland under a succession of managers.<br />\n<br />\nIreland&#8217;s match against Slovakia on 28/03/07 was a particularly proud occasion for on that day Given captained Ireland and equalled Packie Bonner&#8217;s record of 80 caps. Shay was transferred to Manchester City in January, 2009 after twelve years at Newcastle.<br />\n<br />\nGiovanni Trapattoni appointed Given captain to mark his 100th Cap when Ireland played Montenegro in the World Cup qualifier. He also captained the team when Robbie Keane was missing for the friendly against Norway in November 2010.<br />\n<br />\nShay struggled with a shoulder injury in the 2010/&#8217;11 season and lost his place as first choice at Manchester City. He returned from injury to play brilliantly for Ireland in the Carling Nations Cup matches against Northern Ireland and Scotland in May 2011 and in the UEFA Championship match in the FYR Macedonia in June.\n</p>\n</div>\n',excerpt:'Position: Goalkeeper Club: Aston Villa Date of Birth: 20/04/1976 First Cap: v Russia 27/03/96 Most Recent: v Czech Republic 29/02/12 Total Senior: 121 Goals: 0 Career Summary Shay Given has never played better in a long and distinguished career with &hellip; <a href="http://app.3football.ie/player_profile/shay-given/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-04-12 16:04:35",modified:"2012-04-25 16:45:33",categories:[],tags:[],author:{id:5,slug:"kerrill",name:"kerrill",first_name:"",last_name:"",nickname:"kerrill",url:"",description:""},comments:[],attachments:[{id:451,url:"http://football.admin.3apps.ie/files/2012/04/Shay-Given1.jpg",slug:"republic-of-ireland-portraits-5",title:"Republic of Ireland Portraits",description:"7 February 2011; Shay Given, Republic of Ireland. Portmarnock Hotel and Golf Links, Portmarnock, Co. Dublin. Picture credit: David Maher / SPORTSFILE",caption:"",parent:237,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/04/Shay-Given1.jpg",width:399,height:600},thumbnail:{url:"http://app.3football.ie/files/2012/04/Shay-Given1-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/04/Shay-Given1-199x300.jpg",width:199,height:300},large:{url:"http://app.3football.ie/files/2012/04/Shay-Given1.jpg",width:399,height:600},"post-thumbnail":{url:"http://app.3football.ie/files/2012/04/Shay-Given1-33x50.jpg",width:33,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/04/Shay-Given1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/Shay-Given1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/04/Shay-Given1-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/04/Shay-Given1-33x50.jpg",metadata:{_edit_last:["5"],_edit_lock:["1335372220:5"],position:["Goalkeeper"],number:["1"],_laecho_meta_show:["1"],_thumbnail_id:["451"]}},{id:1262,type:"player_profile",slug:"david-forde-2",url:"http://app.3football.ie/player_profile/david-forde-2/",status:"publish",title:"David Forde",title_plain:"David Forde",content:"<p>Club: Millwall<br />\nBorn: 20 December 1979</p>\n<p>Total Appearances: 2.<br />\nFirst appearance: v Northern Ireland 24 May 2011</p>\n<h2>Career Summary</h2>\n<p>David has enjoyed a stellar career in the Airtricity League with Derry City, culminating in an FAI Cup triumph in 2006. This earned him a move to Cardiff City, marking a return to Wales, as he had previously been on the books of Barry Town, who transferred him to West Ham Utd.</p>\n<p>He failed to make the breakthrough at West Ham and Cardiff, so it was third time lucky when he signed for Millwall in 2008. He has been ever present in the Millwall squad since, and helped them win promotion to the Championship from League One.</p>\n<p>David made his debut for Ireland as a substitute for Shay Given against Northern Ireland in the Carling Nations Cup last year. He then started as goal keeper for Ireland&#8217;s memorable 2-0 win over Italy in Liege lat June.</p>\n",excerpt:'Club: Millwall Born: 20 December 1979 Total Appearances: 2. First appearance: v Northern Ireland 24 May 2011 Career Summary David has enjoyed a stellar career in the Airtricity League with Derry City, culminating in an FAI Cup triumph in 2006. &hellip; <a href="http://app.3football.ie/player_profile/david-forde-2/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-08 09:00:04",modified:"2012-05-08 09:01:16",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:1263,url:"http://test.3football.ie/files/2012/05/david_forde_headshot.jpg",slug:"david_forde_headshot-2",title:"david_forde_headshot",description:"",caption:"",parent:1262,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/david_forde_headshot.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/david_forde_headshot.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/david_forde_headshot.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/david_forde_headshot.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/david_forde_headshot-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/david_forde_headshot-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/david_forde_headshot-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/david_forde_headshot-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/david_forde_headshot-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336467614:10"],position:["Goalkeeper"],number:["23"],_laecho_meta_show:["1"],_thumbnail_id:["1263"]}},{id:245,type:"player_profile",slug:"keiren-westwood",url:"http://app.3football.ie/player_profile/keiren-westwood/",status:"publish",title:"Keiren Westwood",title_plain:"Keiren Westwood",content:'<div class="player_profile">\n<p>\nPosition: Goalkeeper <br />\nClub: Sunderland <br />\nDate of Birth: 23/10/1984 <br />\nFirst Cap: v Nigeria 29/05/09 <br />\nMost Recent: v\u00a0Croatia 10/08/11 <br />\nTotal Senior: 8 <br />\nGoals: 0 \n</p>\n<p><h2>Career Summary</h2>\n<p>\nKeiren Westwood was superb when he played his first competitive match for Ireland in the EURO 2012 qualifying match against Macedonia on March 26, 2011. He was selected in place of the injured Shay Given and was instrumental in helping Ireland to a precious win with a magnificent second half save as Macedonia threatened to equalise. He confirmed his outstanding form three days later when Ireland lost to Uruguay in a friendly. </p>\n<p>Keiren made his debut for Ireland in a 1-1 drawn friendly match against Nigeria in London. The injury that kept Shay Given out of the friendly against Paraguay on May 25, 2010 afforded Westwood the opportunity of playing his first 90 minutes for Ireland after substitute appearances against Australia and South Africa in the Summer of 2009. He again started against Algeria on May 28, 2010, and contributed to a 3-0 win. Keiren transferred from Coventry City to Sunderland in the Summer of 2011.\n</p>\n</div>\n',excerpt:'Position: Goalkeeper Club: Sunderland Date of Birth: 23/10/1984 First Cap: v Nigeria 29/05/09 Most Recent: v\u00a0Croatia 10/08/11 Total Senior: 8 Goals: 0 Career Summary Keiren Westwood was superb when he played his first competitive match for Ireland in the EURO &hellip; <a href="http://app.3football.ie/player_profile/keiren-westwood/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-04-12 16:04:24",modified:"2012-04-25 16:45:57",categories:[],tags:[],author:{id:5,slug:"kerrill",name:"kerrill",first_name:"",last_name:"",nickname:"kerrill",url:"",description:""},comments:[],attachments:[{id:455,url:"http://football.admin.3apps.ie/files/2012/04/Ciaran-Westwood.jpg",slug:"republic-of-ireland-portraits-2",title:"Republic of Ireland Portraits",description:"7 February 2011; Keiren Westwood, Republic of Ireland. Portmarnock Hotel and Golf Links, Portmarnock, Co. Dublin. Picture credit: David Maher / SPORTSFILE",caption:"",parent:245,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/04/Ciaran-Westwood.jpg",width:399,height:600},thumbnail:{url:"http://app.3football.ie/files/2012/04/Ciaran-Westwood-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/04/Ciaran-Westwood-199x300.jpg",width:199,height:300},large:{url:"http://app.3football.ie/files/2012/04/Ciaran-Westwood.jpg",width:399,height:600},"post-thumbnail":{url:"http://app.3football.ie/files/2012/04/Ciaran-Westwood-33x50.jpg",width:33,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/04/Ciaran-Westwood-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/Ciaran-Westwood-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/04/Ciaran-Westwood-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/04/Ciaran-Westwood-33x50.jpg",metadata:{_edit_last:["5"],_edit_lock:["1335374884:5"],_thumbnail_id:["455"],position:["Goalkeeper"],number:["16"],_laecho_meta_show:["1"]}},{id:567,type:"player_profile",slug:"sean-st-ledger",url:"http://app.3football.ie/player_profile/sean-st-ledger/",status:"publish",title:"Sean St. Ledger",title_plain:"Sean St. Ledger",content:'<div class="player_profile">\n<p>Position: Defender<br />\nClub: Leicester City<br />\nDate of Birth: 28/12/1984<br />\nFirst Cap: v Bulgaria 06/06/09<br />\nMost Recent: v Czech Republic 29/02/12<br />\nTotal Senior: 25<br />\nGoals: 2</p>\n<h2>Career Summary</h2>\n<p>Sean St. Ledger scored a magnificent goal against World champions Italy with a courageous diving header in the World Cup tie at Croke Park on 14/10/&#8217;09 to ensure they qualified for a play-off. He was outstanding in both matches against France as Ireland went close to making the finals in South Africa and his performances in such a high-profile contest suggested he will play many times for Ireland.</p>\n<p>He contributed another important goal when he scored against Slovakia in Zilina on October 12, 2010, in the UEFA Championship qualifying tie.</p>\n<p>Sean joined Preston North End in 2006 following a four year spell with Peterborough United, and made more than 100 appearances for the Lilywhites. He won his first Ireland call up for the EURO 2008 qualifier against Germany and featured on the bench. He had a spell on loan with Middlesbrough before returning to Preston North End during the 2009/&#8217;10 season. He came through a difficult first match with Ireland in impressive style when he made his debut against Bulgaria in a World Cup qualifying tie in Sofia on 06/06/&#8217;09 &#8211; a match that finished 1-1.</p>\n<p>Sean had won a regular place in the course of the World Cup qualifying campaign and was partner to Richard Dunne again when the qualifying campaign for EURO 2012 kicked off with a win over Armenia in Andorra on September 3rd, 2010.</p>\n<p>He missed the second half of the 2010/&#8217;11 season because of injury and returned to share in the defeat of Italy in a friendly in Liege in June 2011.<br />\nSean spent some time on loan to Middlesbrough from Preston North End and in the Summer of 2011 signed a three-year contract for Leicester City.</p>\n<p>Most recently, he was again in top form for Ireland in the return UEFA Championship match against Slovakia that was scoreless at the Aviva Stadium. He picked up his second yellow card of the tournament in that match and so missed the Championship match against Russia in Moscow when Darren O&#8217;Dea replaced him.</p>\n</div>\n',excerpt:'Position: Defender Club: Leicester City Date of Birth: 28/12/1984 First Cap: v Bulgaria 06/06/09 Most Recent: v Czech Republic 29/02/12 Total Senior: 25 Goals: 2 Career Summary Sean St. Ledger scored a magnificent goal against World champions Italy with a &hellip; <a href="http://app.3football.ie/player_profile/sean-st-ledger/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-04-23 16:23:46",modified:"2012-05-04 09:13:01",categories:[],tags:[],author:{id:5,slug:"kerrill",name:"kerrill",first_name:"",last_name:"",nickname:"kerrill",url:"",description:""},comments:[],attachments:[{id:568,url:"http://football.admin.3apps.ie/files/2012/04/Sean-St-Ledger.jpg",slug:"republic-of-ireland-portraits-4",title:"Republic of Ireland Portraits",description:"7 February 2011; Sean St. Ledger, Republic of Ireland. Portmarnock Hotel and Golf Links, Portmarnock, Co. Dublin. Picture credit: David Maher / SPORTSFILE",caption:"",parent:567,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/04/Sean-St-Ledger.jpg",width:200,height:300},thumbnail:{url:"http://app.3football.ie/files/2012/04/Sean-St-Ledger-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/04/Sean-St-Ledger.jpg",width:200,height:300},large:{url:"http://app.3football.ie/files/2012/04/Sean-St-Ledger.jpg",width:200,height:300},"post-thumbnail":{url:"http://app.3football.ie/files/2012/04/Sean-St-Ledger-33x50.jpg",width:33,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/04/Sean-St-Ledger-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/Sean-St-Ledger-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/04/Sean-St-Ledger-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/04/Sean-St-Ledger-33x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336661413:5"],position:["Defender"],number:["2"],_thumbnail_id:["568"],_laecho_meta_show:["1"]}},{id:715,type:"player_profile",slug:"stephen-ward",url:"http://app.3football.ie/player_profile/stephen-ward/",status:"publish",title:"Stephen Ward",title_plain:"Stephen Ward",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: Wolverhampton Wanderers<br />\nBorn: 20/08/1985<br />\nTotal appearances: 10</p>\n<p>Goals: 2</p>\n<p>First Cap: v Northern Ireland 24/05/11</p>\n<p>Most recent: v Czech Republic 29/02/&#8217;12</p>\n<p>Career Summary</p>\n<p>Stephen began his career as a striker with Bohemians winning U19 and U21 caps. In 2009 he signed for Wolves for an Airtricity League record fee, and then switched to left back.</p>\n<p>His impressive style of play and versatility greatly impressed Giovanni Trapattoni and he received his first cap against Northern Ireland, scoring on his debut.</p>\n<p>Since then, Stephen has established himself as a first choice for left back, and scored most recently against Estonia in the second leg of the EURO 2012 play-off as Ireland clinched their place in the finals.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: Wolverhampton Wanderers Born: 20/08/1985 Total appearances: 10 Goals: 2 First Cap: v Northern Ireland 24/05/11 Most recent: v Czech Republic 29/02/&#8217;12 Career Summary Stephen began his career as a striker with Bohemians winning U19 and U21 caps. In 2009 &hellip; <a href="http://app.3football.ie/player_profile/stephen-ward/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 11:12:55",modified:"2012-05-04 09:09:52",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:728,url:"http://test.3football.ie/files/2012/05/stephen_ward_headshot1.jpg",slug:"stephen_ward_headshot1",title:"stephen_ward_headshot1",description:"",caption:"",parent:715,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/stephen_ward_headshot1.jpg",width:120,height:180},thumbnail:{url:"http://app.3football.ie/files/2012/05/stephen_ward_headshot1-120x150.jpg",width:120,height:150},medium:{url:"http://app.3football.ie/files/2012/05/stephen_ward_headshot1.jpg",width:120,height:180},large:{url:"http://app.3football.ie/files/2012/05/stephen_ward_headshot1.jpg",width:120,height:180},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/stephen_ward_headshot1-33x50.jpg",width:33,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/stephen_ward_headshot1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/stephen_ward_headshot1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/stephen_ward_headshot1-70x70.jpg",width:70,height:70}}},{id:716,url:"http://test.3football.ie/files/2012/05/stephen_ward1.jpg",slug:"stephen_ward1",title:"stephen_ward1",description:"",caption:"",parent:715,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/stephen_ward1.jpg",width:266,height:300},thumbnail:{url:"http://app.3football.ie/files/2012/05/stephen_ward1-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/05/stephen_ward1.jpg",width:266,height:300},large:{url:"http://app.3football.ie/files/2012/05/stephen_ward1.jpg",width:266,height:300},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/stephen_ward1-44x50.jpg",width:44,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/stephen_ward1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/stephen_ward1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/stephen_ward1-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",metadata:{_edit_lock:["1336122485:10"],_edit_last:["10"],_laecho_meta_show:["1"],position:["Defender"],number:["3"],}},{id:411,type:"player_profile",slug:"john-oshea",url:"http://app.3football.ie/player_profile/john-oshea/",status:"publish",title:"John O&#8217;Shea",title_plain:"John O&#8217;Shea",content:'<div class="player_profile">\n<p>\nPosition: Defender <br />\nClub: Sunderland <br />\nDate of Birth: 03/04/1981 <br />\nFirst Cap: v Croatia 15/08/01 <br />\nMost Recent: v Czech Republic 29/02/12 <br />\nTotal Senior: 75 <br />\nGoals: 1 \n</p>\n<p><h2>Career Summary</h2>\n<p>\nJohn signed professional terms with Manchester United in August 1998 and he made his debut for them just over a year later, away to Aston Villa in a Worthington Cup defeat. After spending two seasons in the Reserves, he joined Second Division Bournemouth on loan in January 2000. John returned to Old Trafford in March 2000 before another loan spell during the 2000/&#8217;01 season to Royal Antwerp and since his return he has been a regular in the United side. John won his first cap against Croatia in August 2001 and scored his first international goal against Australia in August 2003. He held down the central midfield position in the critical World Cup qualifier against Switzerland in October, 2005, and his versatility makes him an invaluable member of the Ireland and Manchester United squads. He was impressive at centre-back against Wales in UEFA Championship in November, 2007 and under Ireland current manager, Giovanni Trapattoni, he has played at centre-back, full-back and in midfield as the occasion demanded. John brought his distinguished career at Manchester United to a close when he transferred to Sunderland in the Summer of 2011.</p>\n</div>\n',excerpt:'Position: Defender Club: Sunderland Date of Birth: 03/04/1981 First Cap: v Croatia 15/08/01 Most Recent: v Czech Republic 29/02/12 Total Senior: 75 Goals: 1 Career Summary John signed professional terms with Manchester United in August 1998 and he made his &hellip; <a href="http://app.3football.ie/player_profile/john-oshea/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-04-17 09:02:12",modified:"2012-04-18 16:39:20",categories:[],tags:[],author:{id:5,slug:"kerrill",name:"kerrill",first_name:"",last_name:"",nickname:"kerrill",url:"",description:""},comments:[],attachments:[{id:453,url:"http://football.admin.3apps.ie/files/2012/04/John-OShea1.jpg",slug:"republic-of-ireland-portraits-7",title:"Republic of Ireland Portraits",description:"7 February 2011; John O'Shea, Republic of Ireland. Portmarnock Hotel and Golf Links, Portmarnock, Co. Dublin. Picture credit: David Maher / SPORTSFILE",caption:"",parent:411,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/04/John-OShea1.jpg",width:399,height:600},thumbnail:{url:"http://app.3football.ie/files/2012/04/John-OShea1-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/04/John-OShea1-199x300.jpg",width:199,height:300},large:{url:"http://app.3football.ie/files/2012/04/John-OShea1.jpg",width:399,height:600},"post-thumbnail":{url:"http://app.3football.ie/files/2012/04/John-OShea1-33x50.jpg",width:33,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/04/John-OShea1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/John-OShea1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/04/John-OShea1-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/04/John-OShea1-33x50.jpg",metadata:{position:["Defender"],number:["4"],_edit_last:["5"],_edit_lock:["1336043590:10"],_laecho_meta_show:["1"],_thumbnail_id:["453"]}},{id:565,type:"player_profile",slug:"richard-dunne-2",url:"http://app.3football.ie/player_profile/richard-dunne-2/",status:"publish",title:"Richard Dunne",title_plain:"Richard Dunne",content:'<div class="player_profile">\n<p>\nPosition: Defender <br />\nClub: Aston Villa <br />\nDate of Birth: 21/09/1979 <br />\nFirst Cap: v Greece 26/04/00<br />\nMost Recent: v Estonia 15/11/11 <br />\nTotal Senior: 71 <br />\nGoals: 8 \n</p>\n<p><h2>Career Summary</h2>\n<p>\nRichard Dunne&#8217;s enduring excellence is one of the principal reasons why Ireland can match the best of international teams. His performance in the scoreless game against Russia in Moscow in the UEFA Championship of 2012 qualifying match was so good it was beyond description. He showed his value again when he returned after a one-match ban and scored Ireland&#8217;s second goal in their 2-1 win over Armenia to clinch a play-off place. </p>\n<p>He has been so consistently brilliant for Ireland that his excellence is almost taken for granted.<br />\nHe played a major role in the qualifying tournament for the 2010 World Cup and his magnificent defensive work was one of the principal reasons Ireland faced into the play-offs with confidence. He maintained his high standards in both legs of the play-off with France as Ireland failed at the last hurdle. </p>\n<p>Richard from Tallaght, Dublin, was transferred from Home Farm to Everton and joined Manchester City in October 2000. Was signed by manager Martin O&#8217;Neill for Aston Villa at the start of the 2009/&#8217;10 season.<br />\nThe year 1998 was a particularly memorable one for him as he won his first B cap against Northern Ireland at Tolka Park in February. That summer he helped the Ireland Under-18s to success in the European Championships and that November he made his Ireland Under-21 debut against Yugoslavia in Snederevo. </p>\n<p>By that stage he had been included in Senior squads and he won his first full cap against Greece in April 2000. Richard has won 66 caps. </p>\n<p>He was made captain of Manchester City in season 2005/&#8217;06 and was regularly voted &#8216;Player of the Season&#8217; in Manchester. He is a pillar of Ireland&#8217;s defence and is valued for his leadership qualities as well as his ability to produce a goal when it is most needed. </p>\n<p>A case in point was the critical goal he headed into Bulgaria&#8217;s net in the World Cup qualifying game in Sofia on June 6th, 2009 &#8211; a goal that helped Ireland take a precious point from a difficult tie. </p>\n<p>Dunne ended his nine year spell at Eastlands when he signed for Aston Villa in September 2009</p>\n</div>\n',excerpt:'Position: Defender Club: Aston Villa Date of Birth: 21/09/1979 First Cap: v Greece 26/04/00 Most Recent: v Estonia 15/11/11 Total Senior: 71 Goals: 8 Career Summary Richard Dunne&#8217;s enduring excellence is one of the principal reasons why Ireland can match &hellip; <a href="http://app.3football.ie/player_profile/richard-dunne-2/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-04-23 16:21:11",modified:"2012-04-25 16:42:47",categories:[],tags:[],author:{id:5,slug:"kerrill",name:"kerrill",first_name:"",last_name:"",nickname:"kerrill",url:"",description:""},comments:[],attachments:[{id:566,url:"http://football.admin.3apps.ie/files/2012/04/Richard-Dunne.jpg",slug:"republic-of-ireland-portraits-3",title:"Republic of Ireland Portraits",description:"7 February 2011; Richard Dunne, Republic of Ireland. Portmarnock Hotel and Golf Links, Portmarnock, Co. Dublin. Picture credit: David Maher / SPORTSFILE",caption:"",parent:565,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/04/Richard-Dunne.jpg",width:200,height:300},thumbnail:{url:"http://app.3football.ie/files/2012/04/Richard-Dunne-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/04/Richard-Dunne.jpg",width:200,height:300},large:{url:"http://app.3football.ie/files/2012/04/Richard-Dunne.jpg",width:200,height:300},"post-thumbnail":{url:"http://app.3football.ie/files/2012/04/Richard-Dunne-33x50.jpg",width:33,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/04/Richard-Dunne-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/Richard-Dunne-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/04/Richard-Dunne-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/04/Richard-Dunne-33x50.jpg",metadata:{_edit_lock:["1335372055:5"],position:["Defender"],number:["5"],_edit_last:["5"],_thumbnail_id:["566"],_laecho_meta_show:["1"]}},{id:413,type:"player_profile",slug:"stephen-kelly",url:"http://app.3football.ie/player_profile/stephen-kelly/",status:"publish",title:"Stephen Kelly",title_plain:"Stephen Kelly",content:'<div class="player_profile">\n<p>\nPosition: Defender <br />\nClub: Fulham <br />\nDate of Birth: 06/09/1983 <br />\nFirst Cap: v Chile 24/05/06 <br />\nMost Recent: v Estonia 11/11/11 <br />\nTotal Senior: 29 <br />\nGoals: 0\n</p>\n<p><h2>Career Summary</h2>\n<p>\nDublin-born Stephen moved swiftly through the ranks at his first professional club, Tottenham Hotspur, on foot of his move from Dublin nursery Belvedere. Following the departure from White Hart Lane of fellow Irishman Stephen Carr, Kelly pushed for the right-back slot and was granted his first-team debut in 2003, proving to be a dependable defender. After three years with the Londoners, Kelly opted to join Championship club Birmingham City and led the Blues to promotion in his first season. He was the only Birmingham player to play every minute of their 2007/8 Premier League campaign. Kelly spent a spell on loan at Stoke City during the 2008/9 season and departed Birmingham for Fulham on a permanent transfer at the end of the season, citing European football with the Cottagers as a key influence in his decision. </p>\n<p>Stephen first came to the fore at International level as an Under-17 international and played at every underage level thereafter, including at the Under-20 FIFA World Cup of 2003. His full debut arrived in May 2006 against Chile and he has operated in both full-back positions and at centre-back during his senior international career. He was honoured with the captaincy of the team for the friendly against Uruguay on March 29, 2011 when he won his 21st cap. He impressed at centre-back in the absence of Richard Dunne in the Carling Nations Cup ties against Northern Ireland and Scotland in May 2011. And he was a capable deputy for the injured John O&#8217;Shea when Ireland drew with Russia in Moscow in the EURO 2012 qualifying match in September 2011.\n</p>\n</div>\n',excerpt:'Position: Defender Club: Fulham Date of Birth: 06/09/1983 First Cap: v Chile 24/05/06 Most Recent: v Estonia 11/11/11 Total Senior: 29 Goals: 0 Career Summary Dublin-born Stephen moved swiftly through the ranks at his first professional club, Tottenham Hotspur, on &hellip; <a href="http://app.3football.ie/player_profile/stephen-kelly/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-04-17 09:14:53",modified:"2012-04-25 16:45:25",categories:[],tags:[],author:{id:5,slug:"kerrill",name:"kerrill",first_name:"",last_name:"",nickname:"kerrill",url:"",description:""},comments:[],attachments:[{id:452,url:"http://football.admin.3apps.ie/files/2012/04/Stephen-Kelly1.jpg",slug:"republic-of-ireland-portraits-6",title:"Republic of Ireland Portraits",description:"7 February 2011; Stephen Kelly, Republic of Ireland. Portmarnock Hotel and Golf Links, Portmarnock, Co. Dublin. Picture credit: David Maher / SPORTSFILE",caption:"",parent:413,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/04/Stephen-Kelly1.jpg",width:399,height:600},thumbnail:{url:"http://app.3football.ie/files/2012/04/Stephen-Kelly1-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/04/Stephen-Kelly1-199x300.jpg",width:199,height:300},large:{url:"http://app.3football.ie/files/2012/04/Stephen-Kelly1.jpg",width:399,height:600},"post-thumbnail":{url:"http://app.3football.ie/files/2012/04/Stephen-Kelly1-33x50.jpg",width:33,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/04/Stephen-Kelly1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/Stephen-Kelly1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/04/Stephen-Kelly1-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/04/Stephen-Kelly1-33x50.jpg",metadata:{position:["Defender"],number:["12"],_edit_last:["5"],_laecho_meta_show:["1"],_edit_lock:["1336732614:5"],_thumbnail_id:["452"]}},{id:1266,type:"player_profile",slug:"darren-odea",url:"http://app.3football.ie/player_profile/darren-odea/",status:"publish",title:"Darren O&#8217;Dea",title_plain:"Darren O&#8217;Dea",content:"<p>Club: Leeds United<br />\nBorn: 4 February 1987</p>\n<p>Total appearances: 13<br />\nFirst cap: v South Africa<br />\nMost recent cap:</p>\n<h2>Career Summary</h2>\n<p>O&#8217;Dea played for the Irish under-19 and under-21 teams. He was called up to the full international squad within 12 months.</p>\n<p>He was called up to the Irish under 21 international squad by manager Don Givens on 3 March 2007 and served as team captain. However less than a week later he was named in the full international squad for Ireland&#8217;s UEFA Euro 2008 qualifying Group D matches on 24 March and 28 March.</p>\n<p>On 13 May 2008, O&#8217;Dea was called into Giovanni Trapattoni&#8217;s first squad as Ireland manager and was then called into the squad for the 2010 FIFA World Cup qualification \u2013 UEFA Group 8 matches against Bulgaria and Italy.<br />\nAfter his form for both Leeds United and country, O&#8217;Dea was nominated for Young International player of the year at the FAI International Football Awards, with Leeds teamate Aidy White also nominated for an award.[41]</p>\n<p>O&#8217;Dea won the Ireland Young International Player Of The Year Award during the FAI ceremony in February 2012.</p>\n",excerpt:'Club: Leeds United Born: 4 February 1987 Total appearances: 13 First cap: v South Africa Most recent cap: Career Summary O&#8217;Dea played for the Irish under-19 and under-21 teams. He was called up to the full international squad within 12 &hellip; <a href="http://app.3football.ie/player_profile/darren-odea/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-08 11:51:06",modified:"2012-05-08 11:52:27",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:1267,url:"http://test.3football.ie/files/2012/05/odea.jpg",slug:"odea",title:"odea",description:"",caption:"",parent:1266,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/odea.jpg",width:800,height:600},thumbnail:{url:"http://app.3football.ie/files/2012/05/odea-150x150.jpg",width:150,height:150},medium:{url:"http://app.3football.ie/files/2012/05/odea-300x225.jpg",width:300,height:225},large:{url:"http://app.3football.ie/files/2012/05/odea.jpg",width:800,height:600},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/odea-50x37.jpg",width:50,height:37},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/odea-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/odea-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/odea-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/odea-50x37.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336477848:10"],_thumbnail_id:["1267"],_laecho_meta_show:["1"],position:["Defender"],number:["18"],}},{id:756,type:"player_profile",slug:"glenn-whelan",url:"http://app.3football.ie/player_profile/glenn-whelan/",status:"publish",title:"Glenn Whelan",title_plain:"Glenn Whelan",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: Stoke City<br />\nBorn: 13 January 1984<br />\nTotal Appearances: 37.<br />\nGoals: 2<br />\nFirst Cap: Ireland v Serbia 24/06/&#8217;08<br />\nMost recent: v Czech Republic 29/02/&#8217;12</p>\n<p>&nbsp;</p>\n<h2>Career Summary</h2>\n<p>Glenn Whelan scored a breath-taking goal within eight minutes of the start of Ireland&#8217;s World Cup qualifying tie against Italy on 10/10/&#8217;09. He was forced off with injury before the end but not before he had contributed hugely to Ireland&#8217;s exciting performance as they clinched a place in the play-offs for the 2010 WC finals.</p>\n<p>Glenn was signed by Manchester City from Maryland Boys of Dublin and figured several times with the first team squad. He established himself as a top-class professional when he moved to Sheffield Wednesday after a loan period with Bury and his consistent form made him a transfer target for Stoke City. He won many caps for Ireland&#8217;s Under-age teams and captained those teams as well.</p>\n<p>When Giovanni Trapattoni was appointed manager of Ireland he called Whelan into his first squad and he played 90 minutes in Trapattoni&#8217;s first two games against Serbia and Colombia in May 2008. He was in central midfield and scored a critical goal against Georgia in Ireland&#8217;s opening match in the 2010 World Cup in September &#8217;08. He has been an ever-present in the team since then.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: Stoke City Born: 13 January 1984 Total Appearances: 37. Goals: 2 First Cap: Ireland v Serbia 24/06/&#8217;08 Most recent: v Czech Republic 29/02/&#8217;12 &nbsp; Career Summary Glenn Whelan scored a breath-taking goal within eight minutes of the start of &hellip; <a href="http://app.3football.ie/player_profile/glenn-whelan/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:27:51",modified:"2012-05-04 09:18:35",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:757,url:"http://test.3football.ie/files/2012/05/whelan1.jpg",slug:"whelan1",title:"whelan1",description:"",caption:"",parent:756,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/whelan1.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/whelan1.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/whelan1.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/whelan1.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/whelan1-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/whelan1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/whelan1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/whelan1-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/whelan1-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336123003:10"],_thumbnail_id:["757"],position:["Midfielder"],number:["6"],_laecho_meta_show:["1"]}},{id:750,type:"player_profile",slug:"aiden-mcgeady",url:"http://app.3football.ie/player_profile/aiden-mcgeady/",status:"publish",title:"Aiden McGeady",title_plain:"Aiden McGeady",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: Spartak Moscow<br />\nBorn: 4 April 1986<br />\nFirst Cap: Ireland v Jamaica 02/06/04<br />\nMost recent: V Czech Republic\u00a0 29/02/&#8217;12<br />\nTotal Appearances: 47.<br />\nGoals: 2</p>\n<p>Career Summary</p>\n<p>Aiden, who was born in Glasgow and qualified for Ireland through his grandparents, first played at international level at Under-16 grade. Since then he has gone though all the levels up to the Under-21s and senior. His form for Celtic in season 2003/&#8217;04 saw him included in the Ireland Senior squad for the first time for the summer internationals. He came in as sub against Chile at Lansdowne on 24th May, 2006 and was outstanding when he started against Netherlands at Lansdowne on August 16, 2006.</p>\n<p>Came in as sub in the European Championship tie against Germany and made his first competitive start in the UEFA Championship game against Cyprus in Nicosia on October 7, 2006. He showed great form when he started against Slovakia and was excellent against Wales in Cardiff in November, 2007. McGeady missed Giovanni Trapattoni&#8217;s first match as manager against Serbia because of club commitments but he was a regular in the subsequent matches in the 2010 WC qualifying tournament.</p>\n<p>He was in sparkling form when Ireland drew 2-2 with World Cup holders Italy to clinch a place in the play-offs for the finals in South Africa. He was introduced as substitute for Liam Lawrence in both legs of the World Cup play-off against France.<br />\nAiden scored a very welcome<br />\nfirst goal at senior level for Ireland with a sensational early strike against Macedonia in the EURO 2012 qualifier on March 26, 2011 in his 37th appearance. He was introduced as substitute late in the loss to Uruguay three days later.</p>\n<p>Aiden was transferred to Spartak Moscow in August 2010 after spending ten years at Celtic.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: Spartak Moscow Born: 4 April 1986 First Cap: Ireland v Jamaica 02/06/04 Most recent: V Czech Republic\u00a0 29/02/&#8217;12 Total Appearances: 47. Goals: 2 Career Summary Aiden, who was born in Glasgow and qualified for Ireland through his grandparents, first &hellip; <a href="http://app.3football.ie/player_profile/aiden-mcgeady/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:24:32",modified:"2012-05-04 08:57:40",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:751,url:"http://test.3football.ie/files/2012/05/aiden_mcgeady_headshot.jpg",slug:"aiden_mcgeady_headshot",title:"aiden_mcgeady_headshot",description:"",caption:"",parent:750,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/aiden_mcgeady_headshot-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/aiden_mcgeady_headshot-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336121783:10"],_thumbnail_id:["751"],position:["Midfielder"],number:["7"],_laecho_meta_show:["1"],}},{id:758,type:"player_profile",slug:"keith-andrews",url:"http://app.3football.ie/player_profile/keith-andrews/",status:"publish",title:"Keith Andrews",title_plain:"Keith Andrews",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: West Bromwich Albion<br />\nBorn: 13 September 1980<br />\nTotal Appearances: 27.<br />\nFirst Cap: Ireland v Poland 19/11/08<br />\nMost recent: v Czech Republic 29/02/&#8217;12</p>\n<p>&nbsp;</p>\n<h2>Career Summary</h2>\n<p>Keith Andrews was first called into the senior international squad by manager Giovanni Trapattoni after impressing while playing for Ireland&#8217;s &#8220;B&#8221; selection against Nottingham Forest in October, 2008. He was added to the squad preparing for the World Cup tie against Cyprus that month at Croke Park.</p>\n<p>He was introduced as substitute in the friendly against Poland at Croke Park and scored in a 2-3 loss on Wednesday, November 19, 2008. Keith, born in Dublin, played witty Stella Maris before transferring to England. He made his senior club debut with Wolverhampton Wanderers and was made club captain &#8211; the youngest in 100 years &#8211; in his second season.</p>\n<p>He was a regular member of Ireland&#8217;s midfield in the World Cup qualifying tournament for South Africa 2010 and\u00a0 performed with customary efficiency as Ireland drew 2-2 with World Cup holders Italy at Croke Park.</p>\n<p>He was outstanding when Ireland played France in the second leg of the World Cup play-off in Paris on 18/11/&#8217;09 and when they played Brazil in the friendly at the Emirates Stadium, London, in March 2010. Keith made a welcome return after a lengthy absence because of injury against Northern Ireland in May 2011 in the Carling Nations Cup.</p>\n<p>Just a few days later he scored a magnificent opening goal as Ireland beat Italy 2-0 in a friendly on June 7, 2011.</p>\n<p>Keith found himself struggling for first-team football at Blackburn Rovers in the second half of the 2010/&#8217;11 season and he moved on loan to Ipswich Town in the Championship at the start of the following season. He then signed for West Brom in January 2012 after a successful loan spell at the club.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: West Bromwich Albion Born: 13 September 1980 Total Appearances: 27. First Cap: Ireland v Poland 19/11/08 Most recent: v Czech Republic 29/02/&#8217;12 &nbsp; Career Summary Keith Andrews was first called into the senior international squad by manager Giovanni Trapattoni &hellip; <a href="http://app.3football.ie/player_profile/keith-andrews/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:29:08",modified:"2012-05-04 09:17:51",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:759,url:"http://test.3football.ie/files/2012/05/andrews1.jpg",slug:"andrews1",title:"andrews1",description:"",caption:"",parent:758,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/andrews1.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/andrews1.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/andrews1.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/andrews1.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/andrews1-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/andrews1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/andrews1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/andrews1-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/andrews1-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336746936:5"],_thumbnail_id:["759"],position:["Midfielder"],number:["8"],_laecho_meta_show:["1"],}},{id:752,type:"player_profile",slug:"damien-duff",url:"http://app.3football.ie/player_profile/damien-duff/",status:"publish",title:"Damien Duff",title_plain:"Damien Duff",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: Fulham<br />\nBorn: 2 March 1979<br />\nTotal appearances: 95.<br />\nFirst Cap: Ireland v Czech Republic 25/03/98<br />\nMost recent: v Czech Republic\u00a0 29/02/&#8217;12</p>\n<p>&nbsp;</p>\n<h2>Career Summary</h2>\n<p>Damien played with St. Kevin&#8217;s, Lourdes and Leicester Celtic before joining Blackburn in March 1996. His amazing talent soon lit up the Premiership scene in England and, in July 2003, Chelsea paid\u00a0 million euro for his services.</p>\n<p>He continued to blossom when Jose Mourinho joined Chelsea for the 2004/&#8217;05 season and played a major role in their relentless march to the Premiership title in the manager&#8217;s first season and when they retained their title in 2005/06. It came as a surprise when Chelsea agreed to transfer him to Newcastle United at the beginning of the 2006/&#8217;07 season.</p>\n<p>Damien, who won his first full cap against the Czech Republic in March &#8217;98, had helped Ireland Youths to finish third in the World Cup in Malaysia in 1997.</p>\n<p>Duff continued to play consistently well with Ireland throughout the 2010 World Cup qualifying tournament and had what many regarded as his best match for Ireland when they played France in the play-off in Paris on 18/11/&#8217;09.</p>\n<p>Showed he had lost none of his skill or elusiveness as he sparkled and scored when Ireland beat Wales 3-0 in the inaugural tie of the Carling Nations&#8217; Cup on 08/02/&#8217;11 at the Aviva Stadium and was in brilliant form against Macedonia on March 26, 2011.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: Fulham Born: 2 March 1979 Total appearances: 95. First Cap: Ireland v Czech Republic 25/03/98 Most recent: v Czech Republic\u00a0 29/02/&#8217;12 &nbsp; Career Summary Damien played with St. Kevin&#8217;s, Lourdes and Leicester Celtic before joining Blackburn in March 1996. &hellip; <a href="http://app.3football.ie/player_profile/damien-duff/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:25:31",modified:"2012-05-04 09:18:49",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:753,url:"http://test.3football.ie/files/2012/05/damien_duff_headshot.jpg",slug:"damien_duff_headshot",title:"damien_duff_headshot",description:"",caption:"",parent:752,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/damien_duff_headshot.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/damien_duff_headshot.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/damien_duff_headshot.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/damien_duff_headshot.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/damien_duff_headshot-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/damien_duff_headshot-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/damien_duff_headshot-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/damien_duff_headshot-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/damien_duff_headshot-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336123017:10"],_thumbnail_id:["753"],_laecho_meta_show:["1"],position:["Midfielder"],number:["11"],}},{id:16352,type:"player_profile",slug:"paul-mcshane-2",url:"http://app.3football.ie/player_profile/paul-mcshane-2/",status:"publish",title:"Paul McShane",title_plain:"Paul McShane",content:"<p>Club:\u00a0Hull City</p>\n<p>Born: 6 January 1986</p>\n<p>Total appearances: 27</p>\n<h2><strong>Career Summary</strong></h2>\n<p>Paul is originally from Kilpedder in County Wicklow and played his schoolboy football with Greystones and Newtown. He signed for Manchester United in July 2002 but found his opportunities of breaking into the first team limited.</p>\n<p>Paul joined Championship team West Bromwich Albion where he held down a regular first-team slot and earned a call-up to Ireland&#8217;s senior squad. McShane represented Ireland at all levels from U15 upwards.\u00a0 He was promoted to the senior squad by manager Stephen Staunton for the double EURO 2008 qualifying fixture against Cyprus and the Czech Republic in October 2006.</p>\n<p>He made his full debut against the Czech Republic and impressed sufficiently to earn a man-of-the-match accolade.\u00a0 He partnered Richard Dunne at centre-back in the friendly against Colombia under manager Giovanni Trapattoni and has featured regularly at right-back since. Sunderland allowed him to move to Hull City on loan for the 2008/&#8217;09 season and recalled him in January 2009. He was signed by Hull at the start of the 2009/2010 season.<br />\nCame in as substitute for the injured John O&#8217;Shea in the World Cup play-off second leg in Paris on 18/11/&#8217;09.</p>\n<p>The friendly win by two goals over Italy in Liege in June 2011 was a proud day for Paul who was charged with captaincy of the team by Trapattoni. The manager showed the trust he has in this very committed defender by taking him as a back-up player to the finals of EURO 2012.</p>\n",excerpt:'Club:\u00a0Hull City Born: 6 January 1986 Total appearances: 27 Career Summary Paul is originally from Kilpedder in County Wicklow and played his schoolboy football with Greystones and Newtown. He signed for Manchester United in July 2002 but found his opportunities &hellip; <a href="http://app.3football.ie/player_profile/paul-mcshane-2/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-30 11:32:14",modified:"2012-05-30 11:36:01",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:16353,url:"http://www.3football.ie/files/2012/05/mcshane1.jpg",slug:"mcshane-2",title:"mcshane",description:"",caption:"",parent:16352,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/mcshane1.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/mcshane1.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/mcshane1.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/mcshane1.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/mcshane1-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/mcshane1-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"http://app.3football.ie/files/2012/05/mcshane1-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/mcshane1-70x70.jpg",width:70,height:70},homepage_news_image:{url:"http://app.3football.ie/files/2012/05/mcshane1-120x110.jpg",width:120,height:110}}}],comment_count:0,comment_status:"open",thumbnail:"http://app.3football.ie/files/2012/05/mcshane1-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1338377690:10"],_thumbnail_id:["16353"],position:["Defender"],number:["13"],_laecho_meta_show:["1"]}},{id:754,type:"player_profile",slug:"darren-gibson",url:"http://app.3football.ie/player_profile/darren-gibson/",status:"publish",title:"Darren Gibson",title_plain:"Darren Gibson",content:'<table width="515" border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: Manchester United<br />\nBorn: 25 October 1987<br />\nTotal Senior Appearances: 17<br />\nFirst Cap: Ireland v Denmark 22/08/07<br />\nMost recent: v Croatia 10/08/&#8217;11<br />\nGoals: 1</p>\n<p>Career Summary</p>\n<p>Darren is a strong, forceful player who dominates the area in front of the centre-backs and is expected to play a central role for Ireland over the coming years. The Derry-born youngster won the prestigious &#8216;Jimmy Murphy Award&#8217; in May 2006 as United&#8217;s Academy player of the year and featured throughout the Red Devils first-team pre-season games in the summer of 2006.</p>\n<p>Went to Royal Antwerp on loan for 2006/07 season and represented Ireland B team against Scotland in November 2006. Graduated to the senior set-up for the away qualifier in San Marino during February 2007 where he impressed then manager Stephen Staunton enough to win a place on the substitutes&#8217; bench. He won his first senior cap as a substitute in the 4-0 defeat of Denmark in Aarhus on 22/08/07. He came in as substitute in the European Championship qualifying tie against Slovakia on 08/09/07. Joined Wolves on loan during 2007/&#8217;08. Became a regular with Ireland&#8217;s senior squad under Giovanni Trapattoni in midfield in partnership with Glenn Whelan or Keith Andrews. Replaced the injured Whelan in the second leg of the World Cup play-off in Paris on 18/11/&#8217;09. He is known for his powerful shooting and he produced a memorable strike to open his international account when Ireland beat Wales 3-0 in the inaugural tie of the Carling Nations&#8217; Cup on 08/02/&#8217;11.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: Manchester United Born: 25 October 1987 Total Senior Appearances: 17 First Cap: Ireland v Denmark 22/08/07 Most recent: v Croatia 10/08/&#8217;11 Goals: 1 Career Summary Darren is a strong, forceful player who dominates the area in front of the &hellip; <a href="http://app.3football.ie/player_profile/darren-gibson/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:26:52",modified:"2012-05-04 08:54:55",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:755,url:"http://test.3football.ie/files/2012/05/darron_gibson_headshot.jpg",slug:"darron_gibson_headshot",title:"darron_gibson_headshot",description:"",caption:"",parent:754,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/darron_gibson_headshot.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/darron_gibson_headshot.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/darron_gibson_headshot.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/darron_gibson_headshot.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/darron_gibson_headshot-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/darron_gibson_headshot-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/darron_gibson_headshot-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/darron_gibson_headshot-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/darron_gibson_headshot-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336121583:10"],_thumbnail_id:["755"],position:["Midfielder"],number:["15"],_laecho_meta_show:["1"]}},{id:740,type:"player_profile",slug:"stephen-hunt",url:"http://app.3football.ie/player_profile/stephen-hunt/",status:"publish",title:"Stephen Hunt",title_plain:"Stephen Hunt",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: WolvesBorn: 1 August 1981<br />\nTotal appearances: 38.<br />\nFirst Cap: Ireland v San Marino 07/02/07<br />\nMost recent: v Czaech Republic 29/02/&#8217;12</p>\n<p>Career Summary</p>\n<p>Stephen Hunt was introduced as sub in the World Cup qualifying tie against Italy on October 10, 2009. His marvellous free-kick three minutes from full-time enabled Sean St. Ledger head a spectacular goal as Ireland went close to defeating the World champions. He started alongside his younger brother Noel in the match against Montenegro four days later.</p>\n<p>Stephen played for the Waterford Schoolboys league team along with John O&#8217;Shea before being snapped up by Crystal Palace. From there, he linked up with his ex-manager Steve Coppell at Brentford, where he spent four seasons before joining Reading in 2005. It was at the Madjeski stadium where Hunt&#8217;s career took off. Stephen returned to the Premier League for the 2009/&#8217;10 season when he signed for Hull and joined Irish team mates, Kevin Kilbane, Paul McShane and Caleb Folan at the KC Stadium.</p>\n<p>The winger/striker\u00a0 established himself as a regular fixture in the team during their first Premiership season of 2006/&#8217;07.</p>\n<p>He is holder of one U21 cap and gained his senior debut as a second half substitute in San Marino in February 2007.</p>\n<p>He scored his first goal when he smashed home a penalty in a 2-3 loss to Poland at Croke Park.</p>\n<p>He played an outstanding role as Ireland beat Italy 2-0 in a friendly in Liege on June 7th, 2011.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: WolvesBorn: 1 August 1981 Total appearances: 38. First Cap: Ireland v San Marino 07/02/07 Most recent: v Czaech Republic 29/02/&#8217;12 Career Summary Stephen Hunt was introduced as sub in the World Cup qualifying tie against Italy on October 10, &hellip; <a href="http://app.3football.ie/player_profile/stephen-hunt/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:13:37",modified:"2012-05-04 09:04:32",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:741,url:"http://test.3football.ie/files/2012/05/stephen_hunt_headshot.jpg",slug:"stephen_hunt_headshot",title:"stephen_hunt_headshot",description:"",caption:"",parent:740,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/stephen_hunt_headshot-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/stephen_hunt_headshot-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336122160:10"],_thumbnail_id:["741"],position:["Midfielder"],number:["17"],_laecho_meta_show:["1"],}},{id:732,type:"player_profile",slug:"kevin-doyle",url:"http://app.3football.ie/player_profile/kevin-doyle/",status:"publish",title:"Kevin Doyle",title_plain:"Kevin Doyle",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: Wolves<br />\nBorn: 18 September 1983<br />\nTotal appearances: 46<br />\nFirst Cap: Ireland v Sweden 01/03/06<br />\nMost recent: v Armenia 15/10/&#8217;11<br />\nGoals:\u00a0 10</p>\n<p>Career Summary</p>\n<p>Kevin Doyle&#8217;s powerful running and appetite for hard work ensured he was an indispensable member of Giovanni Trapattoni&#8217;s squad. He is the ideal team player and a formidable opponent as he showed when helping Ireland draw with World Cup champions Italy to clinch a place in the play-offs for the finals in 2010 in South Africa.</p>\n<p>Kevin was a stand-out performer in both legs of the play-off against France when his tireless running and skilful football contributed so much to Ireland&#8217;s courageous attempt to make the finals in South Africa.</p>\n<p>Wexford born, Kevin Doyle played schoolboy football for Wexford club Adamstown. With his direct style of play, the striker became an instant favourite with St. Patrick&#8217;s Athletic at Richmond Park though he was soon off to Cork City. He scored six goals in eleven games for Ireland&#8217;s U21 team while with Cork and was a member of the World Youth Championships squad. Kevin&#8217;s regular goal-scoring exploits for Cork led to his transfer to Reading for the 2005/&#8217;06 season.</p>\n<p>He won his first call up to the international side for the clash with Cyprus in October 2005. He helped Reading win the Championship and promotion to the Premiership in his first season and he was capped by Stephen Staunton against Sweden, Chile and Netherlands in 2006. He started as partner to Robbie Keane against Germany in Euro qualifier in September, 2006. Injury kept him out of the following matches against Cyprus and the Czech Republic but he returned with a bang to claim his first goal for Ireland in the 5-0 defeat of San Marino on November 15, 2006. Kevin has been an indispensable member of the Irish team in the EURO 2012 qualifying matches but was unlucky to pick up a serious knee injury against Macedonia on March 26, 2011.</p>\n<p>He started against Slovakia at Croke Park on March 2007 and emphasised his potential by heading the only goal of the game in spectacular style. He scored another spectacular headed goal against Ecuador in New Jersey on 23/05/07 as Ireland drew 1-1 and struck further goals in the European Championship qualifier away to Slovakia on 08/09/07 and Wales on 17/11/&#8217;07. Was on the mark again with a beauty against Georgia in Ireland&#8217;s opening World Cup qualifying tie on 06/09/&#8217;08. Kevin captained Ireland in the friendly against South Africa in September 2009 in the absence of regular captain Robbie Keane. He was transferred from Reading to Wolverhampton Wanderers in the Premier Division in the Summer of 2009 and his outstanding form in the 2009/&#8217;10 season helped Wolves retain their position in the Premier Division.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: Wolves Born: 18 September 1983 Total appearances: 46 First Cap: Ireland v Sweden 01/03/06 Most recent: v Armenia 15/10/&#8217;11 Goals:\u00a0 10 Career Summary Kevin Doyle&#8217;s powerful running and appetite for hard work ensured he was an indispensable member of &hellip; <a href="http://app.3football.ie/player_profile/kevin-doyle/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 15:59:05",modified:"2012-05-04 09:08:26",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:734,url:"http://test.3football.ie/files/2012/05/doyle.jpg",slug:"doyle",title:"doyle",description:"",caption:"",parent:732,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/doyle.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/doyle.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/doyle.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/doyle.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/doyle-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/doyle-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/doyle-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/doyle-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/doyle-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336122396:10"],_thumbnail_id:["734"],position:["Striker"],number:["9"],_laecho_meta_show:["1"]}},{id:729,type:"player_profile",slug:"robbie-keane",url:"http://app.3football.ie/player_profile/robbie-keane/",status:"publish",title:"Robbie Keane",title_plain:"Robbie Keane",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: Los Angeles Galaxy<br />\nBorn: 8 July 1980<br />\nTotal Appearances: 114<br />\nGoals: 53<br />\nFirst Cap: v Czech Republic 25/03/98<br />\nMost recent: v Czech Republic 29/02/&#8217;12<br />\nCareer Summary</p>\n<p>Robbie Keane, captained Ireland for the 50th time in a senior international match against Czech Republic in a friendly match against Czech Republic on 29/02/&#8217;12 as Ireland prepared for the finals of EURO 2012. It is a record total as captain of Ireland.</p>\n<p>Keane has had a chequered career at club level and one of his most fruitful spells was when he was transferred on loan from Tottenham Hotspur, to Celtic in January 2010 until the end of the 2009/&#8217;10 season.</p>\n<p>Keane was a Celtic fan from boyhood and the fact that he was not an automatic first choice for &#8216;Spurs in the 2009/&#8217;10 season gave him the opportunity to fulfil a boyhood dream. His arrival in Glasgow was greeted with enthusiasm by Celtic fans.</p>\n<p>Robbie Keane&#8217;s all-action style for Ireland has complemented the astute leadership of manager Giovanni Trapattoni. Keane has grown into an influential captain as he showed with a typically unselfish performance as Ireland drew 2-2 with World champions Italy to clinch a place in the play-offs for the 2010 finals in South Africa.</p>\n<p>He led by example when Ireland were unlucky to lose the play-off with France and scored a marvellous goal as Ireland played sparkling football in the second leg in Paris.</p>\n<p>Robbie started his career with Crumlin United and played for Wolves, Coventry City, Inter Milan and Leeds United before joining Tottenham Hotspur. In 1998 he helped the Ireland Under-18s to success in the European Championships and the following year he played for the Irish Youths in the World Cup in Nigeria. He won his first Senior cap against the Czech Republic in Olomouc in March &#8217;98 and is the most prolific goal scorer in Ireland&#8217;s history.</p>\n<p>He was appointed captain by Stephen Staunton when he took over as manager in January 2006. Celebrated a great day on November 15, 2006 when he scored his first hat-trick for Ireland in the final international at the old Lansdowne Road Stadium a</p>\n<p>Robbie continued to score fluently at international level but still found it impossible to win a regular place at &#8216;Spurs. He moved on transfer to the Major League Soccer body in America when he signed for Los Angeles Galaxy in the Summer of 2011</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: Los Angeles Galaxy Born: 8 July 1980 Total Appearances: 114 Goals: 53 First Cap: v Czech Republic 25/03/98 Most recent: v Czech Republic 29/02/&#8217;12 Career Summary Robbie Keane, captained Ireland for the 50th time in a senior international match &hellip; <a href="http://app.3football.ie/player_profile/robbie-keane/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 15:56:26",modified:"2012-05-04 09:08:53",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:730,url:"http://test.3football.ie/files/2012/05/keane.jpg",slug:"keane",title:"keane",description:"",caption:"",parent:729,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/keane.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/keane.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/keane.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/keane.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/keane-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/keane-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/keane-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/keane-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/keane-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336122452:10"],_thumbnail_id:["730"],position:["Striker"],number:["10"],_laecho_meta_show:["1"]}},{id:769,type:"player_profile",slug:"jon-walters",url:"http://app.3football.ie/player_profile/jon-walters/",status:"publish",title:"Jon Walters",title_plain:"Jon Walters",content:"<p>Club: Stoke City FC</p>\n<p>Born: 20 September, 1983<br />\nTotal appearances: 5<br />\nFirst Cap: Ireland v Norway 17/11/2010</p>\n<h2>Career Summary</h2>\n<p>For Jonathan Walters, it&#8217;s been a case of if at first you don&#8217;t succeed try and try again. After being let go by Blackburn Rovers, Jonathan moved on to a variety of clubs- Bolton, Hull, Barnsley, Scunthorpe, Wrexham and Chester-before moving to Ipswich Town, where his consistently good performances attracted the attention of Stoke City, who paid \u00a32.75m for his services.</p>\n<p>Jonathan, who is equally effective on the right wing or as a striker, has gained valuable Premier League experience and made his senior debut against Norway in November 2010.</p>\n<p>Jonathan emerged as one of Giovanni Trapattoni&#8217;s first choice strikers in the latter part of Ireland&#8217;s Euro 2012 qualifying campaign, and scored his first international goal against Estonia in Tallinn in the Euro 2012 play-offs last November.</p>\n",excerpt:'Club: Stoke City FC Born: 20 September, 1983 Total appearances: 5 First Cap: Ireland v Norway 17/11/2010 Career Summary For Jonathan Walters, it&#8217;s been a case of if at first you don&#8217;t succeed try and try again. After being let &hellip; <a href="http://app.3football.ie/player_profile/jon-walters/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:43:15",modified:"2012-05-04 09:15:24",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:770,url:"http://test.3football.ie/files/2012/05/jon_walters_headshot.jpg",slug:"jon_walters_headshot",title:"jon_walters_headshot",description:"",caption:"",parent:769,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/jon_walters_headshot.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/jon_walters_headshot.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/jon_walters_headshot.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/jon_walters_headshot.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/jon_walters_headshot-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/jon_walters_headshot-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/jon_walters_headshot-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/jon_walters_headshot-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/jon_walters_headshot-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336748405:5"],_thumbnail_id:["770"],_laecho_meta_show:["1"],position:["Striker"],number:["14"],}},{id:736,type:"player_profile",slug:"shane-long",url:"http://app.3football.ie/player_profile/shane-long/",status:"publish",title:"Shane Long",title_plain:"Shane Long",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: West Bromwich Albion<br />\nBorn: 22 January 1987<br />\nTotal appearances: 24<br />\nFirst Cap: Ireland v San Marino 07/02/07<br />\nMost recent: v Czech Republic\u00a0 29/02/&#8217;12<br />\nGoals 6</p>\n<p>Career Summary</p>\n<p>Shane Long comes from Gortnahoe, Co. Tipperary, and, predictably, he was a richly talented hurler at underage level. He played for Tipperary in a semi-final of the All Ireland Minor Championship before opting for football.</p>\n<p>He signed for Cork City after playing his under-age football with St. Kevin&#8217;s and made an occasional first team appearance while playing for Cork&#8217;s U21 team. He was transferred together with Kevin Doyle to Reading in the summer of 2005 and he had a meteoric rise to the top at the Madejski Stadium. He made his debut for Ireland&#8217;s seniors in the European Championship tie away to San Marino in February, 2007.</p>\n<p>He created history when introduced as substitute in the European Championship tie against Slovakia on March 28, 2007, at Croke Park &#8211; the first to have played hurling and International football at the venue. Shane played against Ecuador and Bolivia in the USA in May, 2007 and scored his first goal for Ireland against Bolivia in a 1-1 draw. He also scored a marvellous two goals against Denmark after coming in as a substitute during the friendly match in Aarhus on 22/08/07.</p>\n<p>He scored again when introduced as substitute as Ireland were defeated by Russia at the Aviva Stadium in the UEFA 2012 preliminaries. He scored another\u00a0 international goal when he converted a penalty in the friendly defeat to Norway in November, 2010. He came in as sub for the injured Kevin Doyle after just 20 minutes of the EURO 2012 qualifying game against Macedonia on March 26, 2011.</p>\n<p>Shane struck a new level of performance when he excelled in the loss to Uruguay on March 29, 2011. He crowned his outstanding performance with a glorious headed goal.</p>\n<p>Shane&#8217;s club career moved to another level in the Summer of 2011 when, after a great season in the Championship with Reading he was signed by Premier Division club, West Bromwich Albion, on a five year contract. He had scored 21 goals in 51 games for Reading in the 2010/&#8217;11 season as they just failed to win promotion to the Premier Division.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: West Bromwich Albion Born: 22 January 1987 Total appearances: 24 First Cap: Ireland v San Marino 07/02/07 Most recent: v Czech Republic\u00a0 29/02/&#8217;12 Goals 6 Career Summary Shane Long comes from Gortnahoe, Co. Tipperary, and, predictably, he was a &hellip; <a href="http://app.3football.ie/player_profile/shane-long/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:05:56",modified:"2012-05-04 09:06:31",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:737,url:"http://test.3football.ie/files/2012/05/Shane-Long.jpg",slug:"shane-long",title:"Shane-Long",description:"",caption:"",parent:736,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/Shane-Long.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/Shane-Long.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/Shane-Long.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/Shane-Long.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/Shane-Long-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/Shane-Long-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/Shane-Long-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/Shane-Long-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/Shane-Long-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336122283:10"],_thumbnail_id:["737"],position:["Striker"],number:["19"],_laecho_meta_show:["1"]}},{id:738,type:"player_profile",slug:"simon-cox",url:"http://app.3football.ie/player_profile/simon-cox/",status:"publish",title:"Simon Cox",title_plain:"Simon Cox",content:'<table border="0" cellspacing="0" cellpadding="0">\n<tbody>\n<tr>\n<td>Club: WBA<br />\nBorn: 28 April, 1987<br />\nTotal appearances: 11<br />\nFirst Cap: Ireland v Northern Ireland 24/05/11<br />\nMost recent: v Czech Republic 29/02/&#8217;12<br />\nGoals 3</p>\n<p>Career Summary</p>\n<p>Simon began his professional career at Reading before moving to Swindon Town. Simon qualfies for Ireland through his grandmother who hails from Galway. He scored on his debut against Northern Ireland and managed another another goal in the 2-0 victory over Italy in Liege.</p>\n<p>He has made an instant impact on the team, often featuring in Trapattoni&#8217;s starting XI. He has also clocked up an impressive 10 caps in the latter half of 2011 and scored a third goal for Ireland as a second half substitute in the friendly against the Czech Republic on\u00a0 29/02/&#8217;12.</td>\n</tr>\n<tr>\n<td></td>\n</tr>\n<tr>\n<td></td>\n</tr>\n</tbody>\n</table>\n',excerpt:'Club: WBA Born: 28 April, 1987 Total appearances: 11 First Cap: Ireland v Northern Ireland 24/05/11 Most recent: v Czech Republic 29/02/&#8217;12 Goals 3 Career Summary Simon began his professional career at Reading before moving to Swindon Town. Simon qualfies &hellip; <a href="http://app.3football.ie/player_profile/simon-cox/">Continue reading <span class="meta-nav">&rarr;</span></a>',date:"2012-05-03 16:12:11",modified:"2012-05-04 09:05:06",categories:[],tags:[],author:{id:10,slug:"aoife",name:"aoife",first_name:"",last_name:"",nickname:"aoife",url:"",description:""},comments:[],attachments:[{id:739,url:"http://test.3football.ie/files/2012/05/Simon_Cox.jpg",slug:"simon_cox",title:"Simon_Cox",description:"",caption:"",parent:738,mime_type:"image/jpeg",images:{full:{url:"http://app.3football.ie/files/2012/05/Simon_Cox.jpg",width:120,height:130},thumbnail:{url:"http://app.3football.ie/files/2012/05/Simon_Cox.jpg",width:120,height:130},medium:{url:"http://app.3football.ie/files/2012/05/Simon_Cox.jpg",width:120,height:130},large:{url:"http://app.3football.ie/files/2012/05/Simon_Cox.jpg",width:120,height:130},"post-thumbnail":{url:"http://app.3football.ie/files/2012/05/Simon_Cox-46x50.jpg",width:46,height:50},app_player_thumb:{url:"http://app.3football.ie/files/2012/05/Simon_Cox-100x100.jpg",width:100,height:100},app_player_internal_image:{url:"resources/images/Simon_Cox-80x120.jpg",width:80,height:120},post_list_featured_image:{url:"http://app.3football.ie/files/2012/05/Simon_Cox-70x70.jpg",width:70,height:70}}}],comment_count:0,comment_status:"closed",thumbnail:"http://app.3football.ie/files/2012/05/Simon_Cox-46x50.jpg",metadata:{_edit_last:["10"],_edit_lock:["1336734353:5"],_thumbnail_id:["739"],position:["Striker"],number:["20"],_laecho_meta_show:["1"]}}]}});Ext.define("Football.store.Squad",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.PlayerProfile",sorters:["number"],proxy:{type:"jsonp",url:"http://app.3football.ie/json/get_recent_posts/?post_type=player_profile&count=999",reader:{type:"json",rootProperty:"posts"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download data, please try again later...",Ext.emptyFn)}}},autoLoad:false,}});Ext.define("Football.store.Matches",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP","Football.model.Match"],config:{model:"Football.model.Match",autoLoad:false,proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/opta/fixtures_results.php",reader:{type:"json",rootProperty:"matches"}},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download news, please try again later...",Ext.emptyFn)}}}});Ext.define("Football.store.LiveMatches",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP","Football.model.Match"],config:{model:"Football.model.Match",autoLoad:false,proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/opta/fixtures_results.php",reader:{type:"json",rootProperty:"matches"}},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download news, please try again later...",Ext.emptyFn)}}}});Ext.define("Football.store.Videos",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.YoutubeVideo",proxy:{type:"jsonp",url:"http://gdata.youtube.com/feeds/api/playlists/B835A8F22BBED11B?alt=jsonc&v=2",reader:{type:"json",rootProperty:"data.items"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download videos, please try again later...",Ext.emptyFn)}}}}});Ext.define("Football.store.RockyRoad",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.RockyRoadVideo",autoLoad:true,proxy:{type:"jsonp",url:"http://gdata.youtube.com/feeds/api/videos/r5aZjE15Ye0?v=2&alt=jsonc",reader:{type:"json",rootProperty:"data"}}}});Ext.define("Football.store.Groups",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.Group",autoLoad:false,proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/opta/groups.php",reader:{type:"json",rootProperty:"groups"}}}});Ext.define("Football.store.InsiderBlog",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.NewsItem",proxy:{type:"jsonpcache",cacheKey:"insiderblog",cacheTimeout:1200,url:"http://app.3football.ie/json/get_recent_posts/?post_type=football_blog",pageParam:"page",limitParam:"count",reader:{type:"json",rootProperty:"posts"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download news, please try again later...",Ext.emptyFn)}}}}});Ext.define("Football.store.Commentary",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{autoLoad:false,model:"Football.model.CommentaryItem",proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/opta/commentary.php",reader:{type:"json",rootProperty:"commentary"}}}});Ext.define("Football.store.Lookalikes",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.GalleryList",proxy:{type:"jsonp",url:"http://app.3football.ie/feeds/tibus/gallery.php?list=true&type=lookalike",reader:{type:"json",rootProperty:"entries"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download data, please try again later...",Ext.emptyFn)}}},autoLoad:false}});Ext.define("Football.store.FanOfTheMatch",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.GalleryList",proxy:{type:"jsonp",url:"http://app.3football.ie/feeds/tibus/gallery.php?list=true&type=fotm",reader:{type:"json",rootProperty:"entries"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download data, please try again later...",Ext.emptyFn)}}},autoLoad:false,}});Ext.define("Football.store.GalleryImages",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.GalleryImage",proxy:{type:"jsonp",url:"http://app.3football.ie/feeds/tibus/gallery.php",reader:{type:"json",rootProperty:"entries"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download data, please try again later...",Ext.emptyFn)}}},autoLoad:false}});Ext.define("Football.store.LiveMatchInfo",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{autoLoad:false,model:"Football.model.LiveMatchInfo",proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/opta/commentary.php",reader:{type:"json",rootProperty:"summary"}}}});Ext.define("Football.store.Facebook",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.FacebookItem",proxy:{type:"jsonp",url:"https://ajax.googleapis.com/ajax/services/feed/load?v=1.0&num=10&q=http://feeds.feedburner.com/3footballsFacebookWall",reader:{type:"json",rootProperty:"responseData.feed.entries"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download news, please try again later...",Ext.emptyFn)}}},autoLoad:false,}});Ext.define("Football.store.AdBanners",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.AdBanner",proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/feed_banner.php",reader:{type:"json",},listeners:{exception:function(){console.log("Could not download banner ad feed")}}},autoLoad:false}});Ext.define("Football.store.SupportersOffers",{extend:"Ext.data.Store",requires:["Ext.data.proxy.JsonP"],config:{model:"Football.model.ContentItem",proxy:{type:"jsonp",url:"http://app.3football.ie/wp-content/themes/three_football/feeds/feed_3oq.php",reader:{type:"json",},listeners:{exception:function(){console.log("Could not download supporters offers feed")}}},autoLoad:false}});Ext.define("Ext.ux.proxy.ProxyCache",{extend:"Ext.mixin.Mixin",cache:{},mixinConfig:{beforeHooks:{processResponse:"processResponse",read:"read"}},config:{cacheTimeout:3600,cacheKey:"proxyCache"},applyCacheTimeout:function(a){if(isNaN(a)&&typeof a!=="function"){throw new Error("["+Ext.getDisplayName(arguments.callee)+"] cacheTimeout must be a number or a function")}return a},runGarbageCollection:function(){var a=Date.now();for(var b in this.cache){if(this.cache[b].expires<=a){delete this.cache[b]}}window.localStorage.setItem(this.config.cacheKey,Ext.encode(this.cache))},inCache:function(b,g,c){var e=this.buildRequest(b,g,c);var d=this.getUrl()+Ext.encode(e.getParams());var f=false;this.getCache();this.runGarbageCollection();if(this.cache[d]!==undefined){if(typeof this.getCacheTimeout()==="function"){f=this.getCacheTimeout()(this)}else{f=this.cache[d].expires>=Date.now()}if(f){var a=this.cache[d].data;if(this.cache[d].type==="xml"){a.responseXML=this.xmlToDocument(a.responseText)}a._cached=true;this.processResponse(true,b,e,a,g,c);return true}}return false},addToCache:function(d,a){if(a!=null){if(!a._cached&&d.getAction()==="read"){this.getCache();var c=this.getUrl()+Ext.encode(d.getParams());if(this.cache[c]===undefined){this.cache[c]={}}var b;if(typeof this.getCacheTimeout()==="function"){b=Date.now()+1577846298735}else{b=Date.now()+(this.getCacheTimeout()*1000)}this.cache[c].expires=b;this.cache[c].type="json";if(a.responseText){this.cache[c].data={responseText:a.responseText}}else{this.cache[c].data=a}if(a.responseXML){this.cache[c].type="xml"}window.localStorage.setItem(this.getCacheKey(),Ext.encode(this.cache))}}},getCache:function(){this.cache=window.localStorage.getItem(this.getCacheKey());if(this.cache===null){this.cache={}}else{this.cache=Ext.decode(this.cache)}},xmlToDocument:function(a){var b=new DOMParser();return b.parseFromString(a,"text/xml")},processResponse:function(e,b,d,a,f,c){this.addToCache(d,a)},read:function(a,c,b){if(this.inCache(a,c,b)){return false}}});Ext.define("Football.view.FeaturedNews",{extend:"Ext.List",xtype:"featurednewspanel",requires:["Football.store.FeaturedNews"],config:{xtype:"list",scrollable:false,styleHtmlContent:false,loadingText:false,cls:"featured-news",itemTpl:Ext.create("Ext.XTemplate","<article style=\"background-image: url('{featured_image:this.getThumb}');\"><h2>{title}</h2></article>",{getThumb:function(a){if(typeof a=="undefined"){return"http://www.three.ie/imgs/3logo.png"}else{return a}},}),store:"FeaturedNews",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}}}}});Ext.define("Football.view.Group",{extend:"Ext.DataView",xtype:"grouppanel",requires:["Football.store.Groups"],config:{items:[{xtype:"panel",cls:"groupsheading",html:'<ul><li class="team">Teams</li><li class="wins">W</li><li class="draws">D</li><li class="loses">L</li><li class="for">F</li><li class="against">A</li><li class="points">Pts</li></ul>'}],xtype:"list",cls:"listofgroups",itemTpl:Ext.create("Ext.XTemplate",'<div class="group">','<h2 class="grouphead">{name}</h2>','<tpl for="teams">',"<ul>",'<li class="flag" style="background-image: url({name:this.nationalFlag});"></li>','<li class="teamlist">{name}</li>','<li class="winslist">{won}</li>','<li class="drawslist">{drawn}</li>','<li class="loseslist">{lost}</li>','<li class="forlist">{for}</li>','<li class="againstlist">{against}</li>','<li class="pointslist">{points}</li>',"</ul>","</tpl>","</div>",{nationalFlag:function(a){if(typeof a=="undefined"||a===null){return""}else{flag=a.toLowerCase();flag=flag.replace(/ /g,"_");return"resources/icons/flags/"+flag+".png"}},}),store:"Groups",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}},painted:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.go={container:"resultspanel",panel:"resultspanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#statsbackbutton")[0];button.hide()}}}});Ext.define("Football.view.SquadList",{extend:"Ext.List",xtype:"squadlistpanel",requires:["Football.store.Squad","Ext.plugin.PullRefresh"],config:{xtype:"list",itemTpl:Ext.create("Ext.XTemplate",'<div class="wrapper_squad"><div class="profile_thumbnail" style="background-image: url({thumbnail_image:this.getThumb});"></div><div class="squad_content"><h2>{title}</h2><div class="content_position">{position}</div><div class="content_number">{number}</div></div><div class="arrow"></div></div>',{getThumb:function(a){if(typeof a=="undefined"){return"http://www.three.ie/imgs/3logo.png"}else{return a}},}),store:"Squad",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}}}}});Ext.define("Football.view.LiveMatchList",{extend:"Ext.List",xtype:"livematchlistpanel",requires:["Football.store.Matches"],scrollable:true,config:{xtype:"list",plugins:[{xclass:"Ext.plugin.PullRefresh"}],cls:"livematches",emptyText:'<div class="refresh"><img src="resources/icons/refresh.png"></div>',html:'<div class="livematch"><img src="resources/icons/livematchbutton.png"></div>',itemTpl:Ext.create("Ext.XTemplate",'<ul class="team_content"><li class="team_date">{date_ts:this.formattedTime}</li><li class="team_home">{hometeam}</li><li class="flag" style="background-image: url({hometeam:this.nationalFlag});"></li><li class="team_score">{homescore}-{awayscore}</li><li class="flag" style="background-image: url({awayteam:this.nationalFlag});"></li><li class="team_away">{awayteam}</li></ul>',{nationalFlag:function(a){if(typeof a=="undefined"||a===null){return""}else{flag=a.toLowerCase();flag=flag.replace(/ /g,"_");return"resources/icons/flags/"+flag+".png"}},formattedTime:function(i){var j=["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];var a=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov"];var b=new Date(i*(1000));var e=j[b.getDay()];var g=b.getDate();var f=b.getMonth();var h=a[f];var c=b.getHours();var d=b.getMinutes()>10?b.getMinutes():"0"+b.getMinutes();return this.ordinal(g)+" "+(h)+"&nbsp;"+c+":"+d},ordinal:function(a){return a+((a%10==1&&a%100!=11)?"st":(a%10==2&&a%100!=12)?"nd":(a%10==3&&a%100!=13)?"rd":"th")}}),store:"LiveMatches",listeners:{initialize:{single:true,fn:function(){var a=this.getStore();a.load();a.filterBy(function(b){var c=b.data;return c.hometeam==="Republic of Ireland"||c.awayteam==="Republic of Ireland"})}}}}});Ext.define("Football.view.LiveMatchInfo",{extend:"Ext.DataView",requires:["Football.model.LiveMatchInfo","Football.store.LiveMatchInfo"],xtype:"livematchinfopanel",config:{scrollable:false,cls:"fixturesandresults",style:"background-color:#464646",loadingText:false,itemTpl:Ext.create("Ext.XTemplate",'<ul class="team_live"><li class="team_date">{game_date:this.formattedTime}</li><li class="team_home">{home_team_name}</li><li class="flag" style="background-image: url({home_team_name:this.nationalFlag});"></li><li class="team_score">{home_score}-{away_score}</li><li class="flag" style="background-image: url({away_team_name:this.nationalFlag});"></li><li class="team_away">{away_team_name}</li></ul>',{nationalFlag:function(a){if(typeof a=="undefined"||a===null){return""}else{flag=a.toLowerCase();flag=flag.replace(/ /g,"_");return"resources/icons/flags/"+flag+".png"}},formattedTime:function(i){date_segments=i.split(" ")[0].split("-");time_segments=i.split(" ")[1].split(":");var j=["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];var a=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov"];var b=new Date(date_segments[0],date_segments[1]-1,date_segments[2],time_segments[0],time_segments[1],time_segments[2],0);var e=j[b.getDay()];var g=b.getDate();var f=b.getMonth();var h=a[f];var c=b.getHours();var d=b.getMinutes()>10?b.getMinutes():"0"+b.getMinutes();return this.ordinal(g)+" "+(h)+"&nbsp;"+c+":"+d},ordinal:function(a){return a+((a%10==1&&a%100!=11)?"st":(a%10==2&&a%100!=12)?"nd":(a%10==3&&a%100!=13)?"rd":"th")}}),store:"LiveMatchInfo",listeners:{painted:{single:true,fn:function(){var c=this.getParent().getData();var b=Ext.getStore("LiveMatches");var a=b.getAt(c);this.getStore().load({params:{game_id:a.data.match_id},callback:function(){if(this.getData().items.length==0){match_info_obj={away_score:a.data.awayscore,away_team_name:a.data.awayteam,game_date:a.data.date,game_id:a.data.match_id,home_score:a.data.homescore,home_team_name:a.data.hometeam};this.setData(match_info_obj)}}});FlurryAgent.logEvent("Watching live commentary",{Home:a.data.hometeam,Away:a.data.awayteam,Date:a.data.date})}}}}});Ext.define("Football.view.ResultsPanelList",{extend:"Ext.List",xtype:"resultspanellist",requires:["Football.store.StatsResultsPanels"],config:{xtype:"list",fullscreen:true,itemTpl:Ext.create("Ext.XTemplate",'<div class="wrapper_menu"><div class="menu_item"><div class="menu_thumbnail" style="background-image:url({thumbnail})"></div></div><div class="menu_content"><h2>{title}</h2><p>{description}</p><div class="more">more</div></div></div>'),store:"StatsResultsPanels"}});Ext.define("Football.view.FixturesResultsList",{extend:"Ext.DataView",xtype:"fixturesresultslistpanel",requires:["Football.store.Matches"],config:{xtype:"list",cls:"fixturesandresults",itemTpl:Ext.create("Ext.XTemplate",'<ul class="team_content"><li class="team_date">{date_ts:this.formattedTime}</li><li class="team_home">{hometeam}</li><li class="flag" style="background-image: url({hometeam:this.nationalFlag});"></li><tpl if="this.matchStarted(date_ts)"><li class="team_score">{homescore}-{awayscore}</li><tpl else><li class="team_score"></li></tpl><li class="flag" style="background-image: url({awayteam:this.nationalFlag});"></li><li class="team_away">{awayteam}</li></ul>',{matchStarted:function(a){now=new Date();now_ts=Math.round(now.getTime()/1000);return a<now_ts},nationalFlag:function(a){if(typeof a=="undefined"||a===null){return""}else{flag=a.toLowerCase();flag=flag.replace(/ /g,"_");return"resources/icons/flags/"+flag+".png"}},formattedTime:function(i){var j=["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];var a=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov"];var b=new Date(i*(1000));var e=j[b.getDay()];var g=b.getDate();var f=b.getMonth();var h=a[f];var c=b.getHours();var d=b.getMinutes()>10?b.getMinutes():"0"+b.getMinutes();return this.ordinal(g)+" "+(h)+"&nbsp;"+c+":"+d},ordinal:function(a){return a+((a%10==1&&a%100!=11)?"st":(a%10==2&&a%100!=12)?"nd":(a%10==3&&a%100!=13)?"rd":"th")}}),store:"Matches",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}}}}});Ext.define("Football.view.SupportersLanding",{extend:"Ext.Container",requires:["Football.store.SupportersPanels"],xtype:"supporterslandingpanel",config:{title:"Supporters",layout:"card",items:[{xtype:"supporterspanellist",id:"supporterspanellist"}],listeners:{painted:function(){FlurryAgent.logEvent("Fanzone",{panel:"Supporters"})},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.SupportersPanelList",{extend:"Ext.List",xtype:"supporterspanellist",requires:["Football.store.SupportersPanels"],config:{cls:"supporterspanel",xtype:"list",fullscreen:true,itemTpl:Ext.create("Ext.XTemplate",'<div class="wrapper_menu"><div class="menu_item"><div class="menu_thumbnail" style="background-image:url({thumbnail})"></div></div><div class="menu_content"><h2>{title}</h2><p>{description}</p><div class="more">more</div></div></div>'),store:"SupportersPanels"}});Ext.define("Football.view.FunStuffLanding",{extend:"Ext.Container",requires:["Football.store.FunStuffPanels"],xtype:"funstufflandingpanel",config:{title:"Fun Stuff",layout:"card",items:[{xtype:"funstuffpanellist",id:"funstuffpanellist"}],listeners:{painted:function(){FlurryAgent.logEvent("Fanzone",{panel:"Fun stuff"})},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.FunStuffPanelList",{extend:"Ext.List",xtype:"funstuffpanellist",requires:["Football.store.FunStuffPanels"],config:{xtype:"list",fullscreen:true,itemTpl:Ext.create("Ext.XTemplate",'<div class="wrapper_menu"><div class="menu_item"><div class="menu_thumbnail" style="background-image:url({thumbnail})"></div></div><div class="menu_content"><h2>{title}</h2><p>{description}</p><div class="more">more</div></div></div>'),store:"FunStuffPanels"}});Ext.define("Football.view.LookALikes",{extend:"Ext.DataView",requires:["Football.store.GalleryImages","Football.model.GalleryImage"],xtype:"lookalikespanel",config:{xtype:"list",cls:"gallery-background",styleHtmlContent:false,itemTpl:Ext.create("Ext.XTemplate",'<div class="gallery-container"><div class="gallery-thumb" style="background-image: url(\'{image}\')"></div><div class="gallerytext">{title:this.clean}</div></div>',{clean:function(a){return a.replace(/\\/g,"")}}),store:"GalleryImages",listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"funstufflandingpanel",panel:"funstuffpanellist"};setTimeout(function(){button.show()},500);this.getStore().load({params:{g:"4"}})},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.BehindTheScenes",{extend:"Ext.List",requires:["Ext.Video","Football.store.Videos","Football.model.YoutubeVideo"],xtype:"behindthescenespanel",config:{xtype:"list",cls:"youtube-videos",styleHtmlContent:false,itemTpl:Ext.create("Ext.XTemplate",'<div class="video-container"><div class="video-thumb" style="background-image: url({thumbnail_image});"></div><h3 class="video-text">{title}</h3></div>'),store:"Videos",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}},painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"funstufflandingpanel",panel:"funstuffpanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.TwitterItemList",{extend:"Ext.DataView",xtype:"twitterfeedpanel",requires:["Football.store.FunStuffTwitter"],config:{xtype:"list",itemTpl:Ext.create("Ext.XTemplate","<div><h2>{title}</h2><p>{content}</p></div>",{}),store:"FunStuffTwitter"}});Ext.define("Football.view.SendSupportLandingPanel",{extend:"Ext.List",xtype:"sendsupportlandingpanel",requires:["Football.store.FunStuffTwitter"],config:{xtype:"list",cls:"sendsupportpanel",items:[{xtype:"panel",cls:"supportbuttonpanel",items:[{xtype:"panel",width:"90%",style:"margin:auto",html:'<div class="club_content_support"><div class="handsimage"></div><div class="support_content"><h2>Click button to send your message.</h2><p>Add your message of support to the Support Book</p></div></div>'},{xtype:"button",text:"Send",cls:"submit_button",width:"90%",style:"margin:auto",listeners:{initialize:function(){this.go={container:"sendsupportlandingpanel",panel:"sendsupportform",direction:"left"};this.show()}}}]}],itemTpl:Ext.create("Ext.XTemplate",'<div class="support_message_content"><h2>{text:this.clean}</h2><p>{user:this.clean}</p></div>',{clean:function(a){return a.replace(/\\/g,"")}}),listeners:{initialize:{single:true,fn:function(){this.getStore().load()}},painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"supporterslandingpanel",panel:"supporterspanellist"};setTimeout(function(){button.show()},500)},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}},store:"FunStuffTwitter"}});Ext.define("Football.view.FanOfTheMatch",{extend:"Ext.DataView",requires:["Football.store.GalleryImages","Football.model.GalleryImage"],xtype:"fanofthematchpanel",config:{xtype:"list",cls:"gallery-background",styleHtmlContent:false,itemTpl:Ext.create("Ext.XTemplate",'<div class="gallery-container"><div class="gallery-thumb" style="background-image: url(\'{image}\')"></div><div class="gallerytext">{title:this.clean}</div></div>',{clean:function(a){return a.replace(/\\/g,"")}}),store:"GalleryImages",listeners:{painted:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.go={container:"supporterslandingpanel",panel:"supporterspanellist"};setTimeout(function(){button.show()},500);this.getStore().load({params:{g:"1"}})},deactivate:function(){button=Ext.ComponentQuery.query("#supportersbackbutton")[0];button.hide()}}}});Ext.define("Football.view.AdBanner",{extend:"Ext.DataView",xtype:"adbannerpanel",requires:["Football.store.AdBanners","Football.model.AdBanner"],config:{height:"60px",scrollable:false,xtype:"dataview",cls:"banner",itemTpl:'<div class="bannercontainer" style="background-image: url(\'{image}\');"></div>',store:"AdBanners",listeners:{initialize:function(){this.getStore().load({callback:function(a){}})}}}});Ext.define("Football.view.SupportersPanelContent",{extend:"Ext.DataView",xtype:"supporterscontentpanel",requires:["Football.store.SupportersOffers","Football.model.ContentItem"],config:{scrollable:false,xtype:"dataview",cls:"threequaycontent",itemTpl:Ext.create("Ext.XTemplate",'<div class="quay_info"><h2>Supporter Offers</h2><br><p>{text}</p><div class="supporterimage" style="background-image: url(\'{image}\');"></div></div>'),store:"SupportersOffers",listeners:{initialize:function(){this.getStore().load({callback:function(a){}})}}}});Ext.define("Ext.ux.proxy.JsonPCache",{extend:"Ext.data.proxy.JsonP",alias:"proxy.jsonpcache",mixins:{proxyCache:"Ext.ux.proxy.ProxyCache"}});Ext.define("Football.model.NewsItem",{extend:"Ext.data.Model",requires:"Ext.ux.proxy.JsonPCache",config:{fields:[{name:"title",type:"string"},{name:"content",type:"string"},{name:"excerpt",type:"string"},{name:"date",type:"string"},{name:"id",type:"string"},{name:"thumbnail",type:"string"},{name:"featured_image",type:"string",mapping:"attachments[0].images.medium.url"}]}});Ext.define("Football.model.FacebookItem",{extend:"Ext.data.Model",requires:"Ext.ux.proxy.JsonPCache",config:{fields:[{name:"title",type:"string"},{name:"link",type:"string"},{name:"author",type:"string"},{name:"publishedDate",type:"string"},{name:"date",type:"string"},{name:"content",type:"string"}]}});Ext.define("Football.store.LatestNews",{extend:"Ext.data.Store",requires:"Ext.ux.proxy.JsonPCache",config:{model:"Football.model.NewsItem",pageSize:5,autoLoad:true,proxy:{type:"jsonpcache",cacheKey:"latestnews",cacheTimeout:1200,url:"http://app.3football.ie/json/get_recent_posts/?post_type=news_item&count=6",pageParam:"page",limitParam:"count",reader:{type:"json",rootProperty:"posts"},listeners:{exception:function(){Ext.Msg.alert("Error","Failed to download news, please try again later...",Ext.emptyFn)}}}}});Ext.define("Football.view.NewsItemList",{extend:"Ext.List",xtype:"newsitemlistpanel",requires:["Football.store.LatestNews","Ext.plugin.PullRefresh"],config:{xtype:"list",plugins:[{xclass:"Ext.plugin.PullRefresh"}],emptyText:'<p class="no-searches">No news found</p>',cls:"homepage-news-list",styleHtmlContent:false,itemTpl:Ext.create("Ext.XTemplate",'<div class="wrapper_news"><div class="image_news" style="background-image: url(\'{thumbnail:this.getThumb}\');">3</div><div class="content_news"><h2>{title:this.truncateTitle}</h2><p>{excerpt:this.truncateExcerpt}</p></div></div>',{getThumb:function(a){if(typeof a=="undefined"||a===null){return"resources/icons/placeholder_news.png"}else{return a}},truncateTitle:function(a){if(a.length<25){return a}else{return a.substring(0,25)+"..."}},truncateExcerpt:function(a){if(a.length<70){return a}else{return a.substring(0,70)+"..."}}}),store:"LatestNews",listeners:{initialize:{single:true,fn:function(){this.getStore().load()}}}}});Ext.application({name:"Football",requires:["Ext.MessageBox"],controllers:["Main"],views:["Main","Home","HomeLanding","NewsItemList","FeaturedNews","NewsItemDetail","Stats","Group","Squad","SquadList","PlayerProfile","Live","LiveMatchList","LiveCommentary","LiveMatchInfo","LiveMatchStream","Results","ResultsPanelList","FixturesResults","FixturesResultsList","Supporters","SupportersLanding","SupportersPanelList","InsiderBlog","InsiderBlogDetail","SupporterOffer","FunStuffLanding","FunStuffPanelList","Videos","LookALikes","BehindTheScenes","IosVideoPlayer","AndroidVideoPlayer","SupportForm","ClubOffer","TwitterItemList","SendSupportLandingPanel","FanOfTheMatch","FanImage","LookALikeImage","Facebook","AdBanner","SupportersPanelContent"],stores:["SupportersPanels","StatsResultsPanels","FunStuffPanels","FunStuffTwitter","MediaPanels","LatestNews","FeaturedNews","SquadCached","Squad","Matches","LiveMatches","Videos","RockyRoad","Groups","InsiderBlog","Commentary","Lookalikes","FanOfTheMatch","GalleryImages","LiveMatchInfo","Facebook","AdBanners","SupportersOffers"],models:["NewsItem","PlayerProfile","TwitterItem","Match","YoutubeVideo","RockyRoadVideo","Group","Team","SupportForm","ClubOffer","CommentaryItem","GalleryList","GalleryImage","LiveMatchInfo","FacebookItem","AdBanner","ContentItem"],launch:function(){Ext.fly("appLoadingIndicator").destroy();Ext.Viewport.add(Ext.create("Football.view.Main"));this.getApplication().getHistory().add(Ext.create("Ext.app.Action",{url:"go/homepanel"}));if(Ext.os.is.iOS){FlurryAgent.startSession("UGHYBMB9L8Y59JBJH2G5")}else{if(Ext.os.is.Android){FlurryAgent.startSession("8IW4RYYSVQDVMX34Y7J6")}}FlurryAgent.logEvent("App launch",{os:Ext.os.version})},onUpdated:function(){Ext.Msg.confirm("Application Update","This application has just successfully been updated to the latest version. Reload now?",function(){window.location.reload()})}});